# ncurses 6.0 - patch 20170304 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20170304.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Mar  5 02:40:12 UTC 2017
# ------------------------------------------------------------------------------
# NEWS                                  |   10 
# VERSION                               |    2 
# dist.mk                               |    4 
# doc/html/man/adacurses6-config.1.html |    2 
# doc/html/man/captoinfo.1m.html        |    2 
# doc/html/man/clear.1.html             |    2 
# doc/html/man/curs_get_wstr.3x.html    |   17 
# doc/html/man/curs_initscr.3x.html     |   29 
# doc/html/man/form.3x.html             |    2 
# doc/html/man/infocmp.1m.html          |    2 
# doc/html/man/infotocap.1m.html        |    2 
# doc/html/man/menu.3x.html             |    2 
# doc/html/man/ncurses.3x.html          |    2 
# doc/html/man/ncurses6-config.1.html   |    2 
# doc/html/man/panel.3x.html            |    2 
# doc/html/man/tabs.1.html              |    2 
# doc/html/man/terminfo.5.html          | 1429 ++++++++++++++++----------------
# doc/html/man/tic.1m.html              |    2 
# doc/html/man/toe.1m.html              |    2 
# doc/html/man/tput.1.html              |    2 
# doc/html/man/tset.1.html              |    2 
# include/hashed_db.h                   |    6 
# man/curs_get_wstr.3x                  |   16 
# man/curs_initscr.3x                   |   19 
# man/manhtml.aliases                   |    6 
# man/terminfo.head                     |  120 ++
# man/terminfo.tail                     |   48 -
# ncurses/widechar/lib_cchar.c          |   10 
# package/debian-mingw/changelog        |    4 
# package/debian-mingw64/changelog      |    4 
# package/debian/changelog              |    4 
# package/mingw-ncurses.nsi             |    4 
# package/mingw-ncurses.spec            |    2 
# package/ncurses.spec                  |    2 
# progs/dump_entry.c                    |    4 
# 35 files changed, 969 insertions(+), 801 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2762 
--- ncurses-6.0-20170225+/NEWS	2017-02-26 00:35:38.000000000 +0000
+++ ncurses-6.0-20170304/NEWS	2017-03-05 00:05:28.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2762 2017/02/26 00:35:38 tom Exp $
+-- $Id: NEWS,v 1.2767 2017/03/05 00:05:28 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,14 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20170304
+	+ improve terminfo manual description of terminfo syntax.
+	+ clarify the use of wint_t vs wchar_t in curs_get_wstr.3x
+	+ improve description of endwin() in manual.
+	+ modify setcchar() and getcchar() to treat negative color-pair as an
+	  error.
+	+ fix a typo in include/hashed_db.h (Andre Sa).
+
 20170225
 	+ fixes for CF_CC_ENV_FLAGS (report by Ross Burton).
 
Index: VERSION
--- ncurses-6.0-20170225+/VERSION	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/VERSION	2017-02-26 16:41:23.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20170225
+5:0:9	6.0	20170304
Index: dist.mk
Prereq:  1.1149 
--- ncurses-6.0-20170225+/dist.mk	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/dist.mk	2017-02-26 16:41:23.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1149 2017/02/25 13:32:34 tom Exp $
+# $Id: dist.mk,v 1.1150 2017/02/26 16:41:23 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20170225
+NCURSES_PATCH = 20170304
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/html/man/adacurses6-config.1.html
--- ncurses-6.0-20170225+/doc/html/man/adacurses6-config.1.html	2017-02-18 23:44:46.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/adacurses6-config.1.html	2017-03-05 00:56:29.000000000 +0000
@@ -131,7 +131,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/captoinfo.1m.html
--- ncurses-6.0-20170225+/doc/html/man/captoinfo.1m.html	2017-02-18 23:44:46.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/captoinfo.1m.html	2017-03-05 00:56:30.000000000 +0000
@@ -198,7 +198,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/clear.1.html
--- ncurses-6.0-20170225+/doc/html/man/clear.1.html	2017-02-18 23:44:46.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/clear.1.html	2017-03-05 00:56:30.000000000 +0000
@@ -147,7 +147,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tput.1.html">tput(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/curs_get_wstr.3x.html
--- ncurses-6.0-20170225+/doc/html/man/curs_get_wstr.3x.html	2017-01-07 20:43:26.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/curs_get_wstr.3x.html	2017-03-05 00:56:30.000000000 +0000
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_get_wstr.3x,v 1.10 2017/01/07 19:25:15 tom Exp @
+  * @Id: curs_get_wstr.3x,v 1.11 2017/03/04 21:24:04 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -138,9 +138,18 @@
        treated as an end-of-file condition, and the returned  ar-
        ray contains a <STRONG>WEOF</STRONG> followed by a null <STRONG>wchar_t</STRONG>.
 
-       X/Open  curses  documents these functions to pass an array
-       of <STRONG>wchar_t</STRONG>, but all of the vendors  implement  this  using
-       <STRONG>wint_t</STRONG>.
+       X/Open  curses documented these functions to pass an array
+       of <STRONG>wchar_t</STRONG> in 1997, but that was an error because of  this
+       part of the description:
+
+              The  effect  of <EM>get</EM><STRONG>_</STRONG><EM>wstr()</EM> is as though a series of
+              calls to <EM>get</EM><STRONG>_</STRONG><EM>wch()</EM> were made, until a newline char-
+              acter,  end-of-line character, or end-of-file char-
+              acter is processed.
+
+       The latter function <EM>get</EM><STRONG>_</STRONG><EM>wch()</EM> can return a negative value,
+       while  <STRONG>wchar_t</STRONG> is a unsigned type.  All of the vendors im-
+       plement this using <STRONG>wint_t</STRONG>, following the standard.
 
 
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
Index: doc/html/man/curs_initscr.3x.html
--- ncurses-6.0-20170225+/doc/html/man/curs_initscr.3x.html	2017-01-07 20:43:26.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/curs_initscr.3x.html	2017-03-05 00:56:31.000000000 +0000
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_initscr.3x,v 1.26 2017/01/07 19:25:15 tom Exp @
+  * @Id: curs_initscr.3x,v 1.27 2017/03/04 20:59:02 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -108,15 +108,25 @@
        A  program should always call <STRONG>endwin</STRONG> before exiting or es-
        caping from <STRONG>curses</STRONG> mode temporarily.  This routine
 
-       <STRONG>o</STRONG>   restores tty modes,
+       <STRONG>o</STRONG>   resets colors to correspond  with  the  default  color
+           pair 0,
 
-       <STRONG>o</STRONG>   moves the cursor to the lower left-hand corner of  the
-           screen and
+       <STRONG>o</STRONG>   moves  the cursor to the lower left-hand corner of the
+           screen,
 
-       <STRONG>o</STRONG>   resets the terminal into the proper non-visual mode.
+       <STRONG>o</STRONG>   clears the remainder of the line so that it  uses  the
+           default colors,
 
-       Calling  <STRONG><A HREF="curs_refresh.3x.html">refresh(3x)</A></STRONG>  or <STRONG>doupdate</STRONG> after a temporary escape
-       causes the program to resume visual mode.
+       <STRONG>o</STRONG>   sets    the   cursor   to   normal   visibility   (see
+           <STRONG><A HREF="curs_kernel.3x.html">curs_set(3x)</A></STRONG>),
+
+       <STRONG>o</STRONG>   stops cursor-addressing mode  using  the  <EM>exit</EM><STRONG>_</STRONG><EM>ca</EM><STRONG>_</STRONG><EM>mode</EM>
+           terminal capability,
+
+       <STRONG>o</STRONG>   restores tty modes (see <STRONG><A HREF="curs_kernel.3x.html">reset_shell_mode(3x)</A></STRONG>).
+
+       Calling  <STRONG><A HREF="curs_refresh.3x.html">refresh(3x)</A></STRONG> or <STRONG><A HREF="curs_refresh.3x.html">doupdate(3x)</A></STRONG> after a temporary es-
+       cape causes the program to resume visual mode.
 
 
 </PRE><H3><a name="h3-isendwin">isendwin</a></H3><PRE>
@@ -161,10 +171,6 @@
        <STRONG>o</STRONG>   <STRONG>set_term</STRONG> returns no error.
 
 
-</PRE><H2><a name="h2-NOTES">NOTES</a></H2><PRE>
-       Note that <STRONG>initscr</STRONG> and <STRONG>newterm</STRONG> may be macros.
-
-
 </PRE><H2><a name="h2-PORTABILITY">PORTABILITY</a></H2><PRE>
        These functions were described in the XSI Curses standard,
        Issue 4.  As of 2015, the current document is X/Open Curs-
@@ -283,7 +289,6 @@
 </ul>
 </li>
 <li><a href="#h2-RETURN-VALUE">RETURN VALUE</a></li>
-<li><a href="#h2-NOTES">NOTES</a></li>
 <li><a href="#h2-PORTABILITY">PORTABILITY</a>
 <ul>
 <li><a href="#h3-Differences">Differences</a></li>
Index: doc/html/man/form.3x.html
--- ncurses-6.0-20170225+/doc/html/man/form.3x.html	2017-02-18 23:44:48.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/form.3x.html	2017-03-05 00:56:32.000000000 +0000
@@ -239,7 +239,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "form_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/infocmp.1m.html
--- ncurses-6.0-20170225+/doc/html/man/infocmp.1m.html	2017-02-18 23:44:49.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/infocmp.1m.html	2017-03-05 00:56:33.000000000 +0000
@@ -514,7 +514,7 @@
 
        http://invisible-island.net/ncurses/tctest.html
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/infotocap.1m.html
--- ncurses-6.0-20170225+/doc/html/man/infotocap.1m.html	2017-02-18 23:44:49.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/infotocap.1m.html	2017-03-05 00:56:33.000000000 +0000
@@ -88,7 +88,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/menu.3x.html
--- ncurses-6.0-20170225+/doc/html/man/menu.3x.html	2017-02-18 23:44:49.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/menu.3x.html	2017-03-05 00:56:33.000000000 +0000
@@ -217,7 +217,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG> and related pages whose names begin "menu_" for
        detailed descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/ncurses.3x.html
--- ncurses-6.0-20170225+/doc/html/man/ncurses.3x.html	2017-02-18 23:44:50.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/ncurses.3x.html	2017-03-05 00:56:34.000000000 +0000
@@ -60,7 +60,7 @@
        sonable optimization.  This implementation is "new curses"
        (ncurses) and is the approved replacement for 4.4BSD clas-
        sic  curses,  which has been discontinued.  This describes
-       <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
        The <STRONG>ncurses</STRONG> library emulates the curses library of  System
        V  Release  4  UNIX,  and  XPG4 (X/Open Portability Guide)
Index: doc/html/man/ncurses6-config.1.html
--- ncurses-6.0-20170225+/doc/html/man/ncurses6-config.1.html	2017-02-18 23:44:50.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/ncurses6-config.1.html	2017-03-05 00:56:34.000000000 +0000
@@ -114,7 +114,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/panel.3x.html
--- ncurses-6.0-20170225+/doc/html/man/panel.3x.html	2017-02-18 23:44:50.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/panel.3x.html	2017-03-05 00:56:34.000000000 +0000
@@ -208,7 +208,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="curs_variables.3x.html">curs_variables(3x)</A></STRONG>,
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/tabs.1.html
--- ncurses-6.0-20170225+/doc/html/man/tabs.1.html	2017-02-18 23:44:50.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/tabs.1.html	2017-03-05 00:56:34.000000000 +0000
@@ -170,7 +170,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/terminfo.5.html
--- ncurses-6.0-20170225+/doc/html/man/terminfo.5.html	2017-02-18 23:44:51.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/terminfo.5.html	2017-03-05 00:56:34.000000000 +0000
@@ -31,9 +31,9 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: terminfo.head,v 1.23 2017/02/18 17:04:53 tom Exp @
+  * @Id: terminfo.head,v 1.30 2017/03/05 00:24:35 tom Exp @
   * Head of terminfo man page ends here
-  * @Id: terminfo.tail,v 1.76 2017/01/07 18:32:49 tom Exp @
+  * @Id: terminfo.tail,v 1.78 2017/03/04 23:52:35 tom Exp @
   * Beginning of terminfo.tail file
   * This file is part of ncurses.
   * See "terminfo.head" for copyright.
@@ -75,30 +75,56 @@
        nals by giving a set of capabilities which they  have,  by
        specifying how to perform screen operations, and by speci-
        fying padding requirements and  initialization  sequences.
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
-       Entries in <EM>terminfo</EM> consist of a sequence of "," separated
-       fields (embedded commas may be escaped with a backslash or
-       notated  as \054).  White space after the "," separator is
-       ignored.  The first entry  for  each  terminal  gives  the
-       names  which  are known for the terminal, separated by "|"
-       characters.  The first  name  given  is  the  most  common
-       abbreviation  for the terminal, the last name given should
-       be a long name fully identifying  the  terminal,  and  all
-       others  are  understood as synonyms for the terminal name.
-       All names but the last should be in lower case and contain
-       no  blanks;  the last name may well contain upper case and
-       blanks for readability.
-
-       Lines beginning with a "#" in the first column are treated
-       as  comments.  While comment lines are legal at any point,
-       the output of <STRONG>captoinfo</STRONG> and <STRONG>infotocap</STRONG>  (aliases  for  <STRONG>tic</STRONG>)
-       will move comments so they occur only between entries.
-
-       Newlines  and  leading  tabs  may  be  used for formatting
-       entries for readability.  These are  removed  from  parsed
-       entries.   The  <STRONG>infocmp</STRONG> <STRONG>-f</STRONG> option relies on this to format
-       if-then-else expressions: the result can be read by <STRONG>tic</STRONG>.
+
+</PRE><H3><a name="h3-Terminfo-Entry-Syntax">Terminfo Entry Syntax</a></H3><PRE>
+       Entries in <EM>terminfo</EM> consist of a sequence of fields:
+
+       <STRONG>o</STRONG>   Each  field ends with a comma "," (embedded commas may
+           be escaped with a backslash or written as "\054").
+
+       <STRONG>o</STRONG>   White space between fields is ignored.
+
+       <STRONG>o</STRONG>   The first field in a  <EM>terminfo</EM>  entry  begins  in  the
+           first column.
+
+       <STRONG>o</STRONG>   Newlines  and  leading whitespace (spaces or tabs) may
+           be used for formatting entries for readability.  These
+           are removed from parsed entries.
+
+           The <STRONG>infocmp</STRONG> <STRONG>-f</STRONG> and <STRONG>-W</STRONG> options relies on this to format
+           if-then-else expressions, or to enforce maximum  line-
+           width.   The  resulting formatted terminal description
+           can be read by <STRONG>tic</STRONG>.
+
+       <STRONG>o</STRONG>   The first field for  each  terminal  gives  the  names
+           which  are  known  for  the terminal, separated by "|"
+           characters.
+
+           The first name given is the most  common  abbreviation
+           for  the  terminal  (its  primary name), the last name
+           given should be a long name fully identifying the ter-
+           minal  (see  <STRONG><A HREF="longname.3x.html">longname(3x)</A></STRONG>), and all others are treated
+           as synonyms (aliases) for the primary terminal name.
+
+           X/Open Curses advises that  all  names  but  the  last
+           should  be  in  lower  case and contain no blanks; the
+           last name may well contain upper case and  blanks  for
+           readability.
+
+           This  implementation is not so strict; it allows mixed
+           case in the primary name and  aliases.   If  the  last
+           name has no embedded blanks, it allows that to be both
+           an alias and a verbose name (but will warn about  this
+           ambiguity).
+
+       <STRONG>o</STRONG>   Lines  beginning  with  a  "#" in the first column are
+           treated as comments.
+
+           While comment lines are legal at any point, the output
+           of <STRONG>captoinfo</STRONG> and <STRONG>infotocap</STRONG> (aliases for <STRONG>tic</STRONG>) will move
+           comments so they occur only between entries.
 
        Terminal names (except for the last, verbose entry) should
        be chosen using the following conventions.  The particular
@@ -123,48 +149,114 @@
       -rv      Reverse video                            c100-rv
       -s       Enable status line                       vt100-s
       -vb      Use visible bell instead of beep         wy370-vb
-
       -w       Wide mode (&gt; 80 columns, usually 132)    vt100-w
 
        For more on terminal naming conventions, see  the  <STRONG>term(7)</STRONG>
        manual page.
 
 
+</PRE><H3><a name="h3-Terminfo-Capabilities-Syntax">Terminfo Capabilities Syntax</a></H3><PRE>
+       The terminfo entry consists of several <EM>capabilities</EM>, i.e.,
+       features that the terminal has, or methods for  exercising
+       the terminal's features.
+
+       After  the first field (giving the name(s) of the terminal
+       entry), there should be one  or  more  <EM>capability</EM>  fields.
+       These  are  boolean,  numeric  or string names with corre-
+       sponding values:
+
+       <STRONG>o</STRONG>   Boolean capabilities are true when present, false when
+           absent.   There is no explicit value for boolean capa-
+           bilities.
+
+       <STRONG>o</STRONG>   Numeric capabilities have a "#"  following  the  name,
+           then an unsigned decimal integer value.
+
+       <STRONG>o</STRONG>   String  capabilities  have  a  "=" following the name,
+           then an string of characters making up the  capability
+           value.
+
+           String  capabilities can be split into multiple lines,
+           just as the fields comprising a terminal entry can  be
+           split  into  multiple  lines.   While  blanks  between
+           fields are ignored, blanks embedded  within  a  string
+           value  are  retained,  except  for leading blanks on a
+           line.
+
+       Any capability can be <EM>canceled</EM>, i.e., suppressed from  the
+       terminal entry, by following its name with "@" rather than
+       a capability value.
+
+
+</PRE><H3><a name="h3-Similar-Terminals">Similar Terminals</a></H3><PRE>
+       If there are two very similar terminals, one (the variant)
+       can  be  defined  as  being just like the other (the base)
+       with certain exceptions.  In the definition of  the  vari-
+       ant,  the string capability <STRONG>use</STRONG> can be given with the name
+       of the base terminal:
+
+       <STRONG>o</STRONG>   The capabilities given before <STRONG>use</STRONG>  override  those  in
+           the base type named by <STRONG>use</STRONG>.
+
+       <STRONG>o</STRONG>   If  there  are  multiple  <STRONG>use</STRONG>  capabilities,  they are
+           merged in reverse order.  That is, the  rightmost  <STRONG>use</STRONG>
+           reference  is  processed  first,  then  the one to its
+           left, and so forth.
+
+       <STRONG>o</STRONG>   Capabilities given explicitly in  the  entry  override
+           those brought in by <STRONG>use</STRONG> references.
+
+       A capability can be canceled by placing <STRONG>xx@</STRONG> to the left of
+       the use reference that imports it, where <EM>xx</EM> is  the  capa-
+       bility.  For example, the entry
+
+              2621-nl, smkx@, rmkx@, use=2621,
+
+       defines  a  2621-nl  that  does  not have the <STRONG>smkx</STRONG> or <STRONG>rmkx</STRONG>
+       capabilities, and hence does not turn on the function  key
+       labels  when in visual mode.  This is useful for different
+       modes for a terminal, or for different user preferences.
+
+       An entry included via <STRONG>use</STRONG> can contain  canceled  capabili-
+       ties,  which have the same effect as if those cancels were
+       inline in the using terminal entry.
+
+
 </PRE><H3><a name="h3-Predefined-Capabilities">Predefined Capabilities</a></H3><PRE>
-       The  following  is  a  complete  table of the capabilities
-       included in a terminfo description block and available  to
+       The following is a  complete  table  of  the  capabilities
+       included  in a terminfo description block and available to
        terminfo-using code.  In each line of the table,
 
-       The  <STRONG>variable</STRONG>  is the name by which the programmer (at the
+       The <STRONG>variable</STRONG> is the name by which the programmer  (at  the
        terminfo level) accesses the capability.
 
-       The <STRONG>capname</STRONG> is the short name used  in  the  text  of  the
-       database,  and  is used by a person updating the database.
-       Whenever possible, capnames are chosen to be the  same  as
+       The  <STRONG>capname</STRONG>  is  the  short  name used in the text of the
+       database, and is used by a person updating  the  database.
+       Whenever  possible,  capnames are chosen to be the same as
        or similar to the ANSI X3.64-1979 standard (now superseded
-       by ECMA-48, which uses identical or very  similar  names).
+       by  ECMA-48,  which uses identical or very similar names).
        Semantics are also intended to match those of the specifi-
        cation.
 
-       The termcap code is the old <STRONG>termcap</STRONG> capability name  (some
+       The  termcap code is the old <STRONG>termcap</STRONG> capability name (some
        capabilities are new, and have names which termcap did not
        originate).
 
-       Capability names have no hard length limit, but an  infor-
-       mal  limit  of  5 characters has been adopted to keep them
-       short and to allow the tabs in the  source  file  <STRONG>Caps</STRONG>  to
+       Capability  names have no hard length limit, but an infor-
+       mal limit of 5 characters has been adopted  to  keep  them
+       short  and  to  allow  the tabs in the source file <STRONG>Caps</STRONG> to
        line up nicely.
 
-       Finally,  the  description  field  attempts  to convey the
-       semantics of the capability.  You may find some  codes  in
+       Finally, the description  field  attempts  to  convey  the
+       semantics  of  the capability.  You may find some codes in
        the description field:
 
        (P)    indicates that padding may be specified
 
-       #[1-9] in  the description field indicates that the string
+       #[1-9] in the description field indicates that the  string
               is passed through tparm with parms as given (#<EM>i</EM>).
 
-       (P*)   indicates that padding may vary  in  proportion  to
+       (P*)   indicates  that  padding  may vary in proportion to
               the number of lines affected
 
        (#<EM>i</EM>)   indicates the <EM>i</EM>th parameter.
@@ -188,9 +280,6 @@
                                              by overwriting (hp)
        col_addr_glitch           xhpa   YA   only positive motion
                                              for hpa/mhpa caps
-
-
-
        cpi_changes_res           cpix   YF   changing character
                                              pitch changes reso-
                                              lution
@@ -237,6 +326,8 @@
                                              required
        no_esc_ctlc               xsb    xb   beehive (f1=escape,
                                              f2=ctrl C)
+
+
        no_pad_char               npc    NP   pad character does
                                              not exist
        non_dest_scroll_region    ndscr  ND   scrolling region is
@@ -255,8 +346,6 @@
                                              on the status line
        tilde_glitch              hz     hz   cannot print ~'s
                                              (Hazeltine)
-
-
        transparent_underline     ul     ul   underline character
                                              overstrikes
        xon_xoff                  xon    xo   terminal uses
@@ -303,8 +392,8 @@
        width_status_line         wsl    ws   number of columns in
                                              status line
 
-       The following numeric  capabilities  are  present  in  the
-       SVr4.0  term  structure, but are not yet documented in the
+       The  following  numeric  capabilities  are  present in the
+       SVr4.0 term structure, but are not yet documented  in  the
        man page.  They came in with SVr4's printer support.
 
 
@@ -322,7 +411,6 @@
        dot_horz_spacing          spinh  Yc   spacing of dots hor-
                                              izontally in dots
                                              per inch
-
        dot_vert_spacing          spinv  Yb   spacing of pins ver-
                                              tically in pins per
                                              inch
@@ -370,8 +458,11 @@
                                              to #1
        change_line_pitch         lpi    ZB   Change number of
                                              lines per inch to #1
+
        change_res_horz           chr    ZC   Change horizontal
                                              resolution to #1
+
+
        change_res_vert           cvr    ZD   Change vertical res-
                                              olution to #1
        change_scroll_region      csr    cs   change region to
@@ -387,8 +478,6 @@
                                              home cursor (P*)
        clr_bol                   el1    cb   Clear to beginning
                                              of line
-
-
        clr_eol                   el     ce   clear to end of line
                                              (P)
        clr_eos                   ed     cd   clear to end of
@@ -436,9 +525,12 @@
                                              char set
        enter_alt_charset_mode    smacs  as   start alternate
                                              character set (P)
+
        enter_am_mode             smam   SA   turn on automatic
                                              margins
        enter_blink_mode          blink  mb   turn on blinking
+
+
        enter_bold_mode           bold   md   turn on bold (extra
                                              bright) mode
        enter_ca_mode             smcup  ti   string to start pro-
@@ -454,7 +546,6 @@
        enter_italics_mode        sitm   ZH   Enter italic mode
        enter_leftward_mode       slm    ZI   Start leftward car-
                                              riage motion
-
        enter_micro_mode          smicm  ZJ   Start micro-motion
                                              mode
        enter_near_letter_quality snlq   ZK   Enter NLQ mode
@@ -505,6 +596,8 @@
                                              ter motion
        exit_xon_mode             rmxon  RX   turn off xon/xoff
                                              handshaking
+
+
        fixed_pause               pause  PA   pause for 2-3 sec-
                                              onds
        flash_hook                hook   fh   flash switch hook
@@ -520,7 +613,6 @@
                                              string
        init_2string              is2    is   initialization
                                              string
-
        init_3string              is3    i3   initialization
                                              string
        init_file                 if     if   name of initializa-
@@ -572,6 +664,7 @@
        key_f1                    kf1    k1   F1 function key
        key_f10                   kf10   k;   F10 function key
        key_f11                   kf11   F1   F11 function key
+
        key_f12                   kf12   F2   F12 function key
        key_f13                   kf13   F3   F13 function key
        key_f14                   kf14   F4   F14 function key
@@ -586,7 +679,6 @@
        key_f22                   kf22   FC   F22 function key
        key_f23                   kf23   FD   F23 function key
        key_f24                   kf24   FE   F24 function key
-
        key_f25                   kf25   FF   F25 function key
        key_f26                   kf26   FG   F26 function key
        key_f27                   kf27   FH   F27 function key
@@ -639,6 +731,7 @@
        key_ic                    kich1  kI   insert-character key
        key_il                    kil1   kA   insert-line key
        key_left                  kcub1  kl   left-arrow key
+
        key_ll                    kll    kH   lower-left key (home
                                              down)
        key_mark                  kmrk   %2   mark key
@@ -652,7 +745,6 @@
        key_previous              kprv   %8   previous key
        key_print                 kprt   %9   print key
        key_redo                  krdo   %0   redo key
-
        key_reference             kref   &amp;1   reference key
        key_refresh               krfr   &amp;2   refresh key
        key_replace               krpl   &amp;3   replace key
@@ -705,6 +797,8 @@
                                              board_transmit' mode
        keypad_xmit               smkx   ks   enter 'key-
                                              board_transmit' mode
+
+
        lab_f0                    lf0    l0   label on function
                                              key f0 if not f0
        lab_f1                    lf1    l1   label on function
@@ -717,8 +811,6 @@
                                              key f3 if not f3
        lab_f4                    lf4    l4   label on function
                                              key f4 if not f4
-
-
        lab_f5                    lf5    l5   label on function
                                              key f5 if not f5
        lab_f6                    lf6    l6   label on function
@@ -772,6 +864,8 @@
                                              to the left (P)
        parm_left_micro           mcub   Zg   Like parm_left_cur-
                                              sor in micro mode
+
+
        parm_right_cursor         cuf    RI   move #1 characters
                                              to the right (P*)
        parm_right_micro          mcuf   Zh   Like parm_right_cur-
@@ -783,8 +877,6 @@
                                              in micro mode
        pkey_key                  pfkey  pk   program function key
                                              #1 to type string #2
-
-
        pkey_local                pfloc  pl   program function key
                                              #1 to execute string
                                              #2
@@ -839,6 +931,8 @@
                                              pair to #1
        set_foreground            setf   Sf   Set foreground color
                                              #1
+
+
        set_left_margin           smgl   ML   set left soft margin
                                              at current column.
                                              See smgl. (ML is not
@@ -850,7 +944,6 @@
                                              umn
        set_right_margin_parm     smgrp  Zn   Set right margin at
                                              column #1
-
        set_tab                   hts    st   set a tab in every
                                              row, current columns
        set_top_margin            smgt   Zo   Set top margin at
@@ -902,8 +995,8 @@
        zero_motion               zerom  Zx   No motion for subse-
                                              quent character
 
-       The following  string  capabilities  are  present  in  the
-       SVr4.0  term structure, but were originally not documented
+       The  following  string  capabilities  are  present  in the
+       SVr4.0 term structure, but were originally not  documented
        in the man page.
 
 
@@ -916,7 +1009,6 @@
                                                of same row
        bit_image_newline         binel    Zz   Move to next row
                                                of the bit image
-
        bit_image_repeat          birep    Xy   Repeat bit image
                                                cell #1 #2 times
        char_set_names            csnm     Zy   Produce #1'th item
@@ -974,6 +1066,7 @@
                                                ANSI escape
        set_color_band            setcolor Yz   Change to ribbon
                                                color #1
+
        set_lr_margin             smglr    ML   Set both left and
                                                right margins to
                                                #1, #2.  (ML is
@@ -981,19 +1074,17 @@
                                                cap).
        set_page_length           slines   YZ   Set page length to
                                                #1 lines
-
-
        set_tb_margin             smgtb    MT   Sets both top and
                                                bottom margins to
                                                #1, #2
 
-        The XSI Curses standard added  these  hardcopy  capabili-
+        The  XSI  Curses  standard added these hardcopy capabili-
         ties.  They were used in some post-4.1 versions of System
         V curses, e.g., Solaris 2.5 and IRIX 6.x.  Except for <STRONG>YI</STRONG>,
         the <STRONG>ncurses</STRONG> termcap names for them are invented.  Accord-
-        ing to the XSI Curses  standard,  they  have  no  termcap
+        ing  to  the  XSI  Curses  standard, they have no termcap
         names.  If your compiled terminfo entries use these, they
-        may not  be  binary-compatible  with  System  V  terminfo
+        may  not  be  binary-compatible  with  System  V terminfo
         entries after SVr4.1; beware!
 
 
@@ -1022,51 +1113,51 @@
 
 
 </PRE><H3><a name="h3-User-Defined-Capabilities">User-Defined Capabilities</a></H3><PRE>
-       The  preceding section listed the <EM>predefined</EM> capabilities.
-       They deal with some  special  features  for  terminals  no
-       longer  (or  possibly never) produced.  Occasionally there
-       are special features of newer terminals which are  awkward
+       The preceding section listed the <EM>predefined</EM>  capabilities.
+       They  deal  with  some  special  features for terminals no
+       longer (or possibly never) produced.   Occasionally  there
+       are  special features of newer terminals which are awkward
        or impossible to represent by reusing the predefined capa-
        bilities.
 
        <STRONG>ncurses</STRONG> addresses this limitation by allowing user-defined
        capabilities.  The <STRONG>tic</STRONG> and <STRONG>infocmp</STRONG> programs provide the <STRONG>-x</STRONG>
-       option for this purpose.   When  <STRONG>-x</STRONG>  is  set,  <STRONG>tic</STRONG>  treats
-       unknown  capabilities  as  user-defined.   That is, if <STRONG>tic</STRONG>
-       encounters a capability name which it does not  recognize,
-       it  infers  its  type (boolean, number or string) from the
+       option  for  this  purpose.   When  <STRONG>-x</STRONG>  is set, <STRONG>tic</STRONG> treats
+       unknown capabilities as user-defined.   That  is,  if  <STRONG>tic</STRONG>
+       encounters  a capability name which it does not recognize,
+       it infers its type (boolean, number or  string)  from  the
        syntax and makes an extended table entry for that capabil-
-       ity.   The <STRONG>use_extended_names</STRONG> function makes this informa-
+       ity.  The <STRONG>use_extended_names</STRONG> function makes this  informa-
        tion conditionally available to applications.  The ncurses
-       library  provides the data leaving most of the behavior to
+       library provides the data leaving most of the behavior  to
        applications:
 
        <STRONG>o</STRONG>   User-defined capability strings whose name begins with
            "k" are treated as function keys.
 
-       <STRONG>o</STRONG>   The  types (boolean, number, string) determined by <STRONG>tic</STRONG>
+       <STRONG>o</STRONG>   The types (boolean, number, string) determined by  <STRONG>tic</STRONG>
            can be inferred by successful calls on <STRONG>tigetflag</STRONG>, etc.
 
-       <STRONG>o</STRONG>   If the capability name happens to be  two  characters,
-           the  capability  is also available through the termcap
+       <STRONG>o</STRONG>   If  the  capability name happens to be two characters,
+           the capability is also available through  the  termcap
            interface.
 
        While termcap is said to be extensible because it does not
-       use  a  predefined set of capabilities, in practice it has
-       been limited  to  the  capabilities  defined  by  terminfo
-       implementations.   As  a  rule,  user-defined capabilities
+       use a predefined set of capabilities, in practice  it  has
+       been  limited  to  the  capabilities  defined  by terminfo
+       implementations.  As  a  rule,  user-defined  capabilities
        intended for use by termcap applications should be limited
-       to  booleans  and  numbers  to avoid running past the 1023
-       byte limit assumed by termcap  implementations  and  their
-       applications.   In  particular, providing extended sets of
-       function keys (past the 60 numbered keys and  the  handful
+       to booleans and numbers to avoid  running  past  the  1023
+       byte  limit  assumed  by termcap implementations and their
+       applications.  In particular, providing extended  sets  of
+       function  keys  (past the 60 numbered keys and the handful
        of special named keys) is best done using the longer names
        available using terminfo.
 
 
 </PRE><H3><a name="h3-A-Sample-Entry">A Sample Entry</a></H3><PRE>
        The following entry, describing an ANSI-standard terminal,
-       is  representative  of  what a <STRONG>terminfo</STRONG> entry for a modern
+       is representative of what a <STRONG>terminfo</STRONG> entry  for  a  modern
        terminal typically looks like.
 
        ansi|ansi/pc-term compatible with color,
@@ -1100,44 +1191,44 @@
                smul=\E[4m, tbc=\E[3g, u6=\E[%i%d;%dR, u7=\E[6n,
                u8=\E[?%[;0123456789]c, u9=\E[c, vpa=\E[%i%p1%dd,
 
-       Entries may continue onto multiple lines by placing  white
-       space  at  the  beginning  of  each line except the first.
-       Comments may be included  on  lines  beginning  with  "#".
+       Entries  may continue onto multiple lines by placing white
+       space at the beginning of  each  line  except  the  first.
+       Comments  may  be  included  on  lines beginning with "#".
        Capabilities in <EM>terminfo</EM> are of three types:
 
-       <STRONG>o</STRONG>   Boolean  capabilities which indicate that the terminal
+       <STRONG>o</STRONG>   Boolean capabilities which indicate that the  terminal
            has some particular feature,
 
-       <STRONG>o</STRONG>   numeric capabilities giving the size of  the  terminal
+       <STRONG>o</STRONG>   numeric  capabilities  giving the size of the terminal
            or the size of particular delays, and
 
-       <STRONG>o</STRONG>   string  capabilities,  which give a sequence which can
+       <STRONG>o</STRONG>   string capabilities, which give a sequence  which  can
            be used to perform particular terminal operations.
 
 
 </PRE><H3><a name="h3-Types-of-Capabilities">Types of Capabilities</a></H3><PRE>
-       All capabilities have names.  For instance, the fact  that
-       ANSI-standard  terminals  have <EM>automatic</EM> <EM>margins</EM> (i.e., an
-       automatic return and line-feed when the end of a  line  is
-       reached)  is  indicated  by  the capability <STRONG>am</STRONG>.  Hence the
+       All  capabilities have names.  For instance, the fact that
+       ANSI-standard terminals have <EM>automatic</EM> <EM>margins</EM>  (i.e.,  an
+       automatic  return  and line-feed when the end of a line is
+       reached) is indicated by the  capability  <STRONG>am</STRONG>.   Hence  the
        description of ansi includes <STRONG>am</STRONG>.  Numeric capabilities are
-       followed  by  the character "#" and then a positive value.
-       Thus <STRONG>cols</STRONG>, which indicates the number of columns the  ter-
-       minal  has,  gives  the  value  "80" for ansi.  Values for
+       followed by the character "#" and then a  positive  value.
+       Thus  <STRONG>cols</STRONG>, which indicates the number of columns the ter-
+       minal has, gives the value  "80"  for  ansi.   Values  for
        numeric capabilities may be specified in decimal, octal or
-       hexadecimal,  using the C programming language conventions
+       hexadecimal, using the C programming language  conventions
        (e.g., 255, 0377 and 0xff or 0xFF).
 
-       Finally, string valued capabilities, such as <STRONG>el</STRONG> (clear  to
+       Finally,  string valued capabilities, such as <STRONG>el</STRONG> (clear to
        end of line sequence) are given by the two-character code,
-       an "=", and then a string ending  at  the  next  following
+       an  "=",  and  then  a string ending at the next following
        ",".
 
-       A  number  of  escape sequences are provided in the string
+       A number of escape sequences are provided  in  the  string
        valued capabilities for easy encoding of characters there.
-       Both  <STRONG>\E</STRONG>  and  <STRONG>\e</STRONG> map to an ESCAPE character, <STRONG>^x</STRONG> maps to a
-       control-x for any appropriate x, and the sequences  <STRONG>\n</STRONG>  <STRONG>\l</STRONG>
-       <STRONG>\r</STRONG>  <STRONG>\t</STRONG>  <STRONG>\b</STRONG>  <STRONG>\f</STRONG>  <STRONG>\s</STRONG> give a newline, line-feed, return, tab,
+       Both <STRONG>\E</STRONG> and <STRONG>\e</STRONG> map to an ESCAPE character, <STRONG>^x</STRONG>  maps  to  a
+       control-x  for  any appropriate x, and the sequences <STRONG>\n</STRONG> <STRONG>\l</STRONG>
+       <STRONG>\r</STRONG> <STRONG>\t</STRONG> <STRONG>\b</STRONG> <STRONG>\f</STRONG> <STRONG>\s</STRONG> give a  newline,  line-feed,  return,  tab,
        backspace, form-feed, and space.  Other escapes include
 
        <STRONG>o</STRONG>   <STRONG>\^</STRONG> for <STRONG>^</STRONG>,
@@ -1150,80 +1241,80 @@
 
        <STRONG>o</STRONG>   and <STRONG>\0</STRONG> for null.
 
-           <STRONG>\0</STRONG> will produce  \200,  which  does  not  terminate  a
-           string  but behaves as a null character on most termi-
+           <STRONG>\0</STRONG>  will  produce  \200,  which  does  not terminate a
+           string but behaves as a null character on most  termi-
            nals, providing CS7 is specified.  See <STRONG>stty(1)</STRONG>.
 
-           The reason for this quirk is to maintain  binary  com-
-           patibility  of  the compiled terminfo files with other
-           implementations, e.g., the SVr4 systems,  which  docu-
-           ment  this.   Compiled  terminfo files use null-termi-
-           nated strings, with no lengths.  Modifying this  would
+           The  reason  for this quirk is to maintain binary com-
+           patibility of the compiled terminfo files  with  other
+           implementations,  e.g.,  the SVr4 systems, which docu-
+           ment this.  Compiled terminfo  files  use  null-termi-
+           nated  strings, with no lengths.  Modifying this would
            require a new binary format, which would not work with
            other implementations.
 
-       Finally, characters may be given  as  three  octal  digits
+       Finally,  characters  may  be  given as three octal digits
        after a <STRONG>\</STRONG>.
 
-       A  delay  in  milliseconds may appear anywhere in a string
-       capability, enclosed in $&lt;..&gt; brackets, as in  <STRONG>el</STRONG>=\EK$&lt;5&gt;,
-       and  padding  characters are supplied by <STRONG><A HREF="curs_terminfo.3x.html">tputs(3x)</A></STRONG> to pro-
+       A delay in milliseconds may appear anywhere  in  a  string
+       capability,  enclosed in $&lt;..&gt; brackets, as in <STRONG>el</STRONG>=\EK$&lt;5&gt;,
+       and padding characters are supplied by <STRONG><A HREF="curs_terminfo.3x.html">tputs(3x)</A></STRONG>  to  pro-
        vide this delay.
 
-       <STRONG>o</STRONG>   The delay must be a number with at  most  one  decimal
+       <STRONG>o</STRONG>   The  delay  must  be a number with at most one decimal
            place of precision; it may be followed by suffixes "*"
            or "/" or both.
 
-       <STRONG>o</STRONG>   A "*" indicates that the padding required  is  propor-
-           tional  to  the number of lines affected by the opera-
-           tion, and the amount given  is  the  per-affected-unit
-           padding  required.   (In the case of insert character,
+       <STRONG>o</STRONG>   A  "*"  indicates that the padding required is propor-
+           tional to the number of lines affected by  the  opera-
+           tion,  and  the  amount given is the per-affected-unit
+           padding required.  (In the case of  insert  character,
            the factor is still the number of <EM>lines</EM> affected.)
 
-           Normally, padding is advisory if the  device  has  the
-           <STRONG>xon</STRONG>  capability;  it  is used for cost computation but
+           Normally,  padding  is  advisory if the device has the
+           <STRONG>xon</STRONG> capability; it is used for  cost  computation  but
            does not trigger delays.
 
-       <STRONG>o</STRONG>   A "/" suffix indicates that the padding  is  mandatory
+       <STRONG>o</STRONG>   A  "/"  suffix indicates that the padding is mandatory
            and forces a delay of the given number of milliseconds
-           even on devices for which <STRONG>xon</STRONG> is present  to  indicate
+           even  on  devices for which <STRONG>xon</STRONG> is present to indicate
            flow control.
 
-       Sometimes  individual  capabilities must be commented out.
-       To do this, put a period before the capability name.   For
+       Sometimes individual capabilities must be  commented  out.
+       To  do this, put a period before the capability name.  For
        example, see the second <STRONG>ind</STRONG> in the example above.
 
 
 </PRE><H3><a name="h3-Fetching-Compiled-Descriptions">Fetching Compiled Descriptions</a></H3><PRE>
-       The  <STRONG>ncurses</STRONG> library searches for terminal descriptions in
+       The <STRONG>ncurses</STRONG> library searches for terminal descriptions  in
        several places.  It uses only the first description found.
-       The  library  has  a  compiled-in list of places to search
-       which can be overridden by environment variables.   Before
-       starting  to  search, <STRONG>ncurses</STRONG> eliminates duplicates in its
+       The library has a compiled-in list  of  places  to  search
+       which  can be overridden by environment variables.  Before
+       starting to search, <STRONG>ncurses</STRONG> eliminates duplicates  in  its
        search list.
 
-       <STRONG>o</STRONG>   If the environment variable TERMINFO  is  set,  it  is
-           interpreted  as the pathname of a directory containing
-           the compiled description you  are  working  on.   Only
+       <STRONG>o</STRONG>   If  the  environment  variable  TERMINFO is set, it is
+           interpreted as the pathname of a directory  containing
+           the  compiled  description  you  are working on.  Only
            that directory is searched.
 
-       <STRONG>o</STRONG>   If  TERMINFO  is not set, <STRONG>ncurses</STRONG> will instead look in
-           the directory <STRONG>$HOME/.terminfo</STRONG> for a compiled  descrip-
+       <STRONG>o</STRONG>   If TERMINFO is not set, <STRONG>ncurses</STRONG> will instead  look  in
+           the  directory <STRONG>$HOME/.terminfo</STRONG> for a compiled descrip-
            tion.
 
-       <STRONG>o</STRONG>   Next,  if  the  environment  variable TERMINFO_DIRS is
+       <STRONG>o</STRONG>   Next, if the  environment  variable  TERMINFO_DIRS  is
            set, <STRONG>ncurses</STRONG> will interpret the contents of that vari-
-           able  as  a  list  of  colon-separated directories (or
+           able as a  list  of  colon-separated  directories  (or
            database files) to be searched.
 
-           An empty directory name (i.e., if the variable  begins
-           or  ends with a colon, or contains adjacent colons) is
-           interpreted as  the  system  location  <EM>/usr/share/ter-</EM>
+           An  empty directory name (i.e., if the variable begins
+           or ends with a colon, or contains adjacent colons)  is
+           interpreted  as  the  system  location <EM>/usr/share/ter-</EM>
            <EM>minfo</EM>.
 
        <STRONG>o</STRONG>   Finally, <STRONG>ncurses</STRONG> searches these compiled-in locations:
 
-           <STRONG>o</STRONG>   a           list           of          directories
+           <STRONG>o</STRONG>   a          list           of           directories
                (/usr/local/ncurses/share/terminfo:/usr/share/ter-
                minfo), and
 
@@ -1232,91 +1323,91 @@
 
 
 </PRE><H3><a name="h3-Preparing-Descriptions">Preparing Descriptions</a></H3><PRE>
-       We now outline how to prepare descriptions  of  terminals.
-       The  most  effective way to prepare a terminal description
-       is by imitating the description of a similar  terminal  in
-       <EM>terminfo</EM>  and  to  build up a description gradually, using
+       We  now  outline how to prepare descriptions of terminals.
+       The most effective way to prepare a  terminal  description
+       is  by  imitating the description of a similar terminal in
+       <EM>terminfo</EM> and to build up a  description  gradually,  using
        partial descriptions with <EM>vi</EM> or some other screen-oriented
-       program  to  check that they are correct.  Be aware that a
+       program to check that they are correct.  Be aware  that  a
        very unusual terminal may expose deficiencies in the abil-
-       ity  of  the  <EM>terminfo</EM>  file to describe it or bugs in the
+       ity of the <EM>terminfo</EM> file to describe it  or  bugs  in  the
        screen-handling code of the test program.
 
-       To get the padding for insert line right (if the  terminal
+       To  get the padding for insert line right (if the terminal
        manufacturer did not document it) a severe test is to edit
-       a large file at 9600 baud, delete 16 or so lines from  the
-       middle  of  the screen, then hit the "u" key several times
-       quickly.  If the terminal messes up, more padding is  usu-
-       ally  needed.  A similar test can be used for insert char-
+       a  large file at 9600 baud, delete 16 or so lines from the
+       middle of the screen, then hit the "u" key  several  times
+       quickly.   If the terminal messes up, more padding is usu-
+       ally needed.  A similar test can be used for insert  char-
        acter.
 
 
 </PRE><H3><a name="h3-Basic-Capabilities">Basic Capabilities</a></H3><PRE>
-       The number of columns on each line  for  the  terminal  is
-       given  by the <STRONG>cols</STRONG> numeric capability.  If the terminal is
-       a CRT, then the number of lines on the screen is given  by
+       The  number  of  columns  on each line for the terminal is
+       given by the <STRONG>cols</STRONG> numeric capability.  If the terminal  is
+       a  CRT, then the number of lines on the screen is given by
        the <STRONG>lines</STRONG> capability.  If the terminal wraps around to the
-       beginning of the next line when it reaches the right  mar-
+       beginning  of the next line when it reaches the right mar-
        gin, then it should have the <STRONG>am</STRONG> capability.  If the termi-
-       nal can clear its screen, leaving the cursor in  the  home
-       position,  then this is given by the <STRONG>clear</STRONG> string capabil-
-       ity.  If the terminal overstrikes (rather than clearing  a
-       position  when  a character is struck over) then it should
-       have the <STRONG>os</STRONG> capability.  If the  terminal  is  a  printing
-       terminal,  with no soft copy unit, give it both <STRONG>hc</STRONG> and <STRONG>os</STRONG>.
-       (<STRONG>os</STRONG> applies to storage scope terminals, such as  TEKTRONIX
-       4010  series, as well as hard copy and APL terminals.)  If
+       nal  can  clear its screen, leaving the cursor in the home
+       position, then this is given by the <STRONG>clear</STRONG> string  capabil-
+       ity.   If the terminal overstrikes (rather than clearing a
+       position when a character is struck over) then  it  should
+       have  the  <STRONG>os</STRONG>  capability.   If the terminal is a printing
+       terminal, with no soft copy unit, give it both <STRONG>hc</STRONG> and  <STRONG>os</STRONG>.
+       (<STRONG>os</STRONG>  applies to storage scope terminals, such as TEKTRONIX
+       4010 series, as well as hard copy and APL terminals.)   If
        there is a code to move the cursor to the left edge of the
        current row, give this as <STRONG>cr</STRONG>.  (Normally this will be car-
-       riage return, control M.)  If there is a code  to  produce
+       riage  return,  control M.)  If there is a code to produce
        an audible signal (bell, beep, etc) give this as <STRONG>bel</STRONG>.
 
-       If  there is a code to move the cursor one position to the
-       left (such as backspace) that capability should  be  given
-       as  <STRONG>cub1</STRONG>.   Similarly, codes to move to the right, up, and
+       If there is a code to move the cursor one position to  the
+       left  (such  as backspace) that capability should be given
+       as <STRONG>cub1</STRONG>.  Similarly, codes to move to the right,  up,  and
        down should be given as <STRONG>cuf1</STRONG>, <STRONG>cuu1</STRONG>, and <STRONG>cud1</STRONG>.  These local
-       cursor  motions  should not alter the text they pass over,
-       for example, you would not normally use  "<STRONG>cuf1</STRONG>= "  because
+       cursor motions should not alter the text they  pass  over,
+       for  example,  you would not normally use "<STRONG>cuf1</STRONG>= " because
        the space would erase the character moved over.
 
-       A  very  important  point  here  is  that the local cursor
-       motions encoded in <EM>terminfo</EM> are undefined at the left  and
-       top  edges  of  a  CRT  terminal.   Programs  should never
-       attempt to backspace around the left edge,  unless  <STRONG>bw</STRONG>  is
+       A very important point  here  is  that  the  local  cursor
+       motions  encoded in <EM>terminfo</EM> are undefined at the left and
+       top edges  of  a  CRT  terminal.   Programs  should  never
+       attempt  to  backspace  around the left edge, unless <STRONG>bw</STRONG> is
        given, and never attempt to go up locally off the top.  In
-       order to scroll text up, a program will go to  the  bottom
+       order  to  scroll text up, a program will go to the bottom
        left corner of the screen and send the <STRONG>ind</STRONG> (index) string.
 
        To scroll text down, a program goes to the top left corner
-       of the screen and sends the  <STRONG>ri</STRONG>  (reverse  index)  string.
-       The  strings  <STRONG>ind</STRONG>  and  <STRONG>ri</STRONG> are undefined when not on their
+       of  the  screen  and  sends the <STRONG>ri</STRONG> (reverse index) string.
+       The strings <STRONG>ind</STRONG> and <STRONG>ri</STRONG> are undefined  when  not  on  their
        respective corners of the screen.
 
        Parameterized versions of the scrolling sequences are <STRONG>indn</STRONG>
        and <STRONG>rin</STRONG> which have the same semantics as <STRONG>ind</STRONG> and <STRONG>ri</STRONG> except
-       that they take one parameter, and scroll that many  lines.
-       They  are also undefined except at the appropriate edge of
+       that  they take one parameter, and scroll that many lines.
+       They are also undefined except at the appropriate edge  of
        the screen.
 
-       The <STRONG>am</STRONG> capability tells whether the cursor sticks  at  the
-       right  edge  of  the  screen when text is output, but this
+       The  <STRONG>am</STRONG>  capability tells whether the cursor sticks at the
+       right edge of the screen when text  is  output,  but  this
        does not necessarily apply to a <STRONG>cuf1</STRONG> from the last column.
-       The  only local motion which is defined from the left edge
-       is if <STRONG>bw</STRONG> is given, then a <STRONG>cub1</STRONG> from  the  left  edge  will
-       move  to the right edge of the previous row.  If <STRONG>bw</STRONG> is not
-       given, the effect is undefined.  This is useful for  draw-
-       ing  a box around the edge of the screen, for example.  If
-       the terminal has switch selectable automatic margins,  the
-       <EM>terminfo</EM>  file  usually assumes that this is on; i.e., <STRONG>am</STRONG>.
-       If the terminal has a command which  moves  to  the  first
-       column  of the next line, that command can be given as <STRONG>nel</STRONG>
-       (newline).  It does not matter if the command  clears  the
-       remainder  of  the current line, so if the terminal has no
-       <STRONG>cr</STRONG> and <STRONG>lf</STRONG> it may still be possible to craft a working  <STRONG>nel</STRONG>
+       The only local motion which is defined from the left  edge
+       is  if  <STRONG>bw</STRONG>  is  given, then a <STRONG>cub1</STRONG> from the left edge will
+       move to the right edge of the previous row.  If <STRONG>bw</STRONG> is  not
+       given,  the effect is undefined.  This is useful for draw-
+       ing a box around the edge of the screen, for example.   If
+       the  terminal has switch selectable automatic margins, the
+       <EM>terminfo</EM> file usually assumes that this is on;  i.e.,  <STRONG>am</STRONG>.
+       If  the  terminal  has  a command which moves to the first
+       column of the next line, that command can be given as  <STRONG>nel</STRONG>
+       (newline).   It  does not matter if the command clears the
+       remainder of the current line, so if the terminal  has  no
+       <STRONG>cr</STRONG>  and <STRONG>lf</STRONG> it may still be possible to craft a working <STRONG>nel</STRONG>
        out of one or both of them.
 
        These  capabilities  suffice  to  describe  hard-copy  and
-       "glass-tty" terminals.  Thus  the  model  33  teletype  is
+       "glass-tty"  terminals.   Thus  the  model  33 teletype is
        described as
 
        33|tty33|tty|model 33 teletype,
@@ -1330,21 +1421,21 @@
 
 
 </PRE><H3><a name="h3-Parameterized-Strings">Parameterized Strings</a></H3><PRE>
-       Cursor  addressing  and other strings requiring parameters
-       in the terminal are described by  a  parameterized  string
-       capability,  with  <EM>printf</EM>-like  escapes  such as <EM>%x</EM> in it.
-       For example, to address the cursor, the <STRONG>cup</STRONG> capability  is
+       Cursor addressing and other strings  requiring  parameters
+       in  the  terminal  are described by a parameterized string
+       capability, with <EM>printf</EM>-like escapes such  as  <EM>%x</EM>  in  it.
+       For  example, to address the cursor, the <STRONG>cup</STRONG> capability is
        given, using two parameters: the row and column to address
        to.  (Rows and columns are numbered from zero and refer to
        the physical screen visible to the user, not to any unseen
-       memory.)  If  the  terminal  has  memory  relative  cursor
+       memory.)   If  the  terminal  has  memory  relative cursor
        addressing, that can be indicated by <STRONG>mrcup</STRONG>.
 
-       The  parameter  mechanism uses a stack and special <STRONG>%</STRONG> codes
-       to manipulate it.  Typically a sequence will push  one  of
-       the  parameters  onto  the stack and then print it in some
-       format.  Print (e.g., "%d")  is  a  special  case.   Other
-       operations,  including  "%t"  pop  their  operand from the
+       The parameter mechanism uses a stack and special  <STRONG>%</STRONG>  codes
+       to  manipulate  it.  Typically a sequence will push one of
+       the parameters onto the stack and then print  it  in  some
+       format.   Print  (e.g.,  "%d")  is  a special case.  Other
+       operations, including "%t"  pop  their  operand  from  the
        stack.  It is noted that more complex operations are often
        necessary, e.g., in the <STRONG>sgr</STRONG> string.
 
@@ -1353,8 +1444,8 @@
        <STRONG>%%</STRONG>   outputs "%"
 
        <STRONG>%</STRONG><EM>[[</EM>:<EM>]flags][width[.precision]][</EM><STRONG>doxXs</STRONG><EM>]</EM>
-            as  in  <STRONG>printf</STRONG>, flags are <EM>[-+#]</EM> and <EM>space</EM>.  Use a ":"
-            to allow the next character to be a "-" flag,  avoid-
+            as in <STRONG>printf</STRONG>, flags are <EM>[-+#]</EM> and <EM>space</EM>.  Use  a  ":"
+            to  allow the next character to be a "-" flag, avoid-
             ing interpreting "%-" as an operator.
 
        %c   print <EM>pop()</EM> like %c in <STRONG>printf</STRONG>
@@ -1376,12 +1467,12 @@
        <STRONG>%g</STRONG><EM>[A-Z]</EM>
             get static variable <EM>[a-z]</EM> and push it
 
-            The  terms  "static"  and  "dynamic"  are misleading.
-            Historically, these are simply two different sets  of
-            variables,  whose  values are not reset between calls
-            to <STRONG><A HREF="curs_terminfo.3x.html">tparm(3x)</A></STRONG>.  However, that fact is  not  documented
-            in   other   implementations.   Relying  on  it  will
-            adversely impact  portability  to  other  implementa-
+            The terms  "static"  and  "dynamic"  are  misleading.
+            Historically,  these are simply two different sets of
+            variables, whose values are not reset  between  calls
+            to  <STRONG><A HREF="curs_terminfo.3x.html">tparm(3x)</A></STRONG>.   However, that fact is not documented
+            in  other  implementations.   Relying  on   it   will
+            adversely  impact  portability  to  other implementa-
             tions.
 
        <STRONG>%'</STRONG><EM>c</EM><STRONG>'</STRONG> char constant <EM>c</EM>
@@ -1405,16 +1496,16 @@
             logical AND and OR operations (for conditionals)
 
        <STRONG>%!</STRONG>, <STRONG>%~</STRONG>
-            unary  operations  (logical  and   bit   complement):
+            unary   operations   (logical  and  bit  complement):
             <EM>push(op</EM> <EM>pop())</EM>
 
        <STRONG>%i</STRONG>   add 1 to first two parameters (for ANSI terminals)
 
        <STRONG>%?</STRONG> <EM>expr</EM> <STRONG>%t</STRONG> <EM>thenpart</EM> <STRONG>%e</STRONG> <EM>elsepart</EM> <STRONG>%;</STRONG>
-            This  forms  an  if-then-else.   The  <STRONG>%e</STRONG>  <EM>elsepart</EM> is
-            optional.  Usually the <STRONG>%?</STRONG> <EM>expr</EM> part  pushes  a  value
-            onto  the stack, and <STRONG>%t</STRONG> pops it from the stack, test-
-            ing if it is nonzero (true).  If it is zero  (false),
+            This forms  an  if-then-else.   The  <STRONG>%e</STRONG>  <EM>elsepart</EM>  is
+            optional.   Usually  the  <STRONG>%?</STRONG> <EM>expr</EM> part pushes a value
+            onto the stack, and <STRONG>%t</STRONG> pops it from the stack,  test-
+            ing  if it is nonzero (true).  If it is zero (false),
             control passes to the <STRONG>%e</STRONG> (else) part.
 
             It is possible to form else-if's a la Algol 68:
@@ -1423,221 +1514,221 @@
             where ci are conditions, bi are bodies.
 
             Use the <STRONG>-f</STRONG> option of <STRONG>tic</STRONG> or <STRONG>infocmp</STRONG> to see the struc-
-            ture of if-then-else's.  Some strings, e.g., <STRONG>sgr</STRONG>  can
+            ture  of if-then-else's.  Some strings, e.g., <STRONG>sgr</STRONG> can
             be very complicated when written on one line.  The <STRONG>-f</STRONG>
-            option splits the string into lines  with  the  parts
+            option  splits  the  string into lines with the parts
             indented.
 
        Binary operations are in postfix form with the operands in
-       the usual order.  That  is,  to  get  x-5  one  would  use
-       "%gx%{5}%-".   <STRONG>%P</STRONG>  and  <STRONG>%g</STRONG> variables are persistent across
+       the  usual  order.   That  is,  to  get  x-5 one would use
+       "%gx%{5}%-".  <STRONG>%P</STRONG> and <STRONG>%g</STRONG> variables  are  persistent  across
        escape-string evaluations.
 
        Consider the HP2645, which, to get to row 3 and column 12,
-       needs  to  be  sent  \E&amp;a12c03Y padded for 6 milliseconds.
-       Note that the order of the rows and  columns  is  inverted
-       here,  and that the row and column are printed as two dig-
+       needs to be sent \E&amp;a12c03Y  padded  for  6  milliseconds.
+       Note  that  the  order of the rows and columns is inverted
+       here, and that the row and column are printed as two  dig-
        its.  Thus its <STRONG>cup</STRONG> capability is "cup=6\E&amp;%p2%2dc%p1%2dY".
 
        The Microterm ACT-IV needs the current row and column sent
-       preceded  by  a <STRONG>^T</STRONG>, with the row and column simply encoded
-       in binary, "cup=^T%p1%c%p2%c".  Terminals which  use  "%c"
-       need  to  be  able  to backspace the cursor (<STRONG>cub1</STRONG>), and to
+       preceded by a <STRONG>^T</STRONG>, with the row and column  simply  encoded
+       in  binary,  "cup=^T%p1%c%p2%c".  Terminals which use "%c"
+       need to be able to backspace the  cursor  (<STRONG>cub1</STRONG>),  and  to
        move the cursor up one line on the screen (<STRONG>cuu1</STRONG>).  This is
-       necessary  because it is not always safe to transmit <STRONG>\n</STRONG> <STRONG>^D</STRONG>
-       and <STRONG>\r</STRONG>, as the system may change or  discard  them.   (The
-       library  routines  dealing  with terminfo set tty modes so
+       necessary because it is not always safe to transmit <STRONG>\n</STRONG>  <STRONG>^D</STRONG>
+       and  <STRONG>\r</STRONG>,  as  the system may change or discard them.  (The
+       library routines dealing with terminfo set  tty  modes  so
        that tabs are never expanded, so \t is safe to send.  This
        turns out to be essential for the Ann Arbor 4080.)
 
        A final example is the LSI ADM-3a, which uses row and col-
        umn  offset  by  a  blank  character,  thus  "cup=\E=%p1%'
-       '%+%c%p2%'  '%+%c".   After sending "\E=", this pushes the
-       first parameter, pushes the ASCII value for a space  (32),
-       adds  them  (pushing  the sum on the stack in place of the
-       two previous values) and outputs that value as  a  charac-
-       ter.   Then  the  same  is  done for the second parameter.
+       '%+%c%p2%' '%+%c".  After sending "\E=", this  pushes  the
+       first  parameter, pushes the ASCII value for a space (32),
+       adds them (pushing the sum on the stack in  place  of  the
+       two  previous  values) and outputs that value as a charac-
+       ter.  Then the same is  done  for  the  second  parameter.
        More complex arithmetic is possible using the stack.
 
 
 </PRE><H3><a name="h3-Cursor-Motions">Cursor Motions</a></H3><PRE>
        If the terminal has a fast way to home the cursor (to very
-       upper  left  corner  of  screen) then this can be given as
-       <STRONG>home</STRONG>; similarly a fast way of getting to the  lower  left-
-       hand  corner can be given as <STRONG>ll</STRONG>; this may involve going up
-       with <STRONG>cuu1</STRONG> from the home position,  but  a  program  should
-       never  do this itself (unless <STRONG>ll</STRONG> does) because it can make
-       no assumption about the effect of moving up from the  home
-       position.   Note  that  the  home  position is the same as
+       upper left corner of screen) then this  can  be  given  as
+       <STRONG>home</STRONG>;  similarly  a fast way of getting to the lower left-
+       hand corner can be given as <STRONG>ll</STRONG>; this may involve going  up
+       with  <STRONG>cuu1</STRONG>  from  the  home position, but a program should
+       never do this itself (unless <STRONG>ll</STRONG> does) because it can  make
+       no  assumption about the effect of moving up from the home
+       position.  Note that the home  position  is  the  same  as
        addressing to (0,0): to the top left corner of the screen,
-       not  of  memory.   (Thus, the \EH sequence on HP terminals
+       not of memory.  (Thus, the \EH sequence  on  HP  terminals
        cannot be used for <STRONG>home</STRONG>.)
 
        If the terminal has row or column absolute cursor address-
-       ing,  these  can be given as single parameter capabilities
+       ing, these can be given as single  parameter  capabilities
        <STRONG>hpa</STRONG> (horizontal position absolute) and <STRONG>vpa</STRONG> (vertical posi-
        tion absolute).  Sometimes these are shorter than the more
-       general two parameter sequence (as with  the  hp2645)  and
+       general  two  parameter  sequence (as with the hp2645) and
        can be used in preference to <STRONG>cup</STRONG>.  If there are parameter-
-       ized local motions (e.g., move  <EM>n</EM>  spaces  to  the  right)
+       ized  local  motions  (e.g.,  move  <EM>n</EM> spaces to the right)
        these can be given as <STRONG>cud</STRONG>, <STRONG>cub</STRONG>, <STRONG>cuf</STRONG>, and <STRONG>cuu</STRONG> with a single
-       parameter indicating how many spaces to move.   These  are
-       primarily  useful  if the terminal does not have <STRONG>cup</STRONG>, such
+       parameter  indicating  how many spaces to move.  These are
+       primarily useful if the terminal does not have  <STRONG>cup</STRONG>,  such
        as the TEKTRONIX 4025.
 
        If the terminal needs to be in a special mode when running
        a program that uses these capabilities, the codes to enter
-       and exit this mode can be given as <STRONG>smcup</STRONG> and <STRONG>rmcup</STRONG>.   This
-       arises,  for example, from terminals like the Concept with
-       more than one page of memory.  If the  terminal  has  only
-       memory  relative cursor addressing and not screen relative
+       and  exit this mode can be given as <STRONG>smcup</STRONG> and <STRONG>rmcup</STRONG>.  This
+       arises, for example, from terminals like the Concept  with
+       more  than  one  page of memory.  If the terminal has only
+       memory relative cursor addressing and not screen  relative
        cursor addressing, a one screen-sized window must be fixed
-       into  the terminal for cursor addressing to work properly.
+       into the terminal for cursor addressing to work  properly.
        This is also used for the TEKTRONIX 4025, where <STRONG>smcup</STRONG> sets
-       the  command character to be the one used by terminfo.  If
-       the <STRONG>smcup</STRONG> sequence will not restore the  screen  after  an
+       the command character to be the one used by terminfo.   If
+       the  <STRONG>smcup</STRONG>  sequence  will not restore the screen after an
        <STRONG>rmcup</STRONG> sequence is output (to the state prior to outputting
        <STRONG>rmcup</STRONG>), specify <STRONG>nrrmc</STRONG>.
 
 
 </PRE><H3><a name="h3-Area-Clears">Area Clears</a></H3><PRE>
        If the terminal can clear from the current position to the
-       end  of  the  line,  leaving  the cursor where it is, this
+       end of the line, leaving the  cursor  where  it  is,  this
        should be given as <STRONG>el</STRONG>.  If the terminal can clear from the
-       beginning  of  the line to the current position inclusive,
-       leaving the cursor where it is, this should  be  given  as
-       <STRONG>el1</STRONG>.   If the terminal can clear from the current position
-       to the end of the display, then this should  be  given  as
-       <STRONG>ed</STRONG>.   <STRONG>Ed</STRONG>  is only defined from the first column of a line.
-       (Thus, it can be simulated by a request to delete a  large
+       beginning of the line to the current  position  inclusive,
+       leaving  the  cursor  where it is, this should be given as
+       <STRONG>el1</STRONG>.  If the terminal can clear from the current  position
+       to  the  end  of the display, then this should be given as
+       <STRONG>ed</STRONG>.  <STRONG>Ed</STRONG> is only defined from the first column of  a  line.
+       (Thus,  it can be simulated by a request to delete a large
        number of lines, if a true <STRONG>ed</STRONG> is not available.)
 
 
 </PRE><H3><a name="h3-Insert_delete-line-and-vertical-motions">Insert/delete line and vertical motions</a></H3><PRE>
-       If  the terminal can open a new blank line before the line
-       where the cursor is, this should be given as <STRONG>il1</STRONG>; this  is
-       done  only  from the first position of a line.  The cursor
+       If the terminal can open a new blank line before the  line
+       where  the cursor is, this should be given as <STRONG>il1</STRONG>; this is
+       done only from the first position of a line.   The  cursor
        must then appear on the newly blank line.  If the terminal
-       can  delete  the  line  which  the cursor is on, then this
-       should be given as <STRONG>dl1</STRONG>; this is done only from  the  first
-       position  on  the line to be deleted.  Versions of <STRONG>il1</STRONG> and
-       <STRONG>dl1</STRONG> which take a single parameter  and  insert  or  delete
+       can delete the line which the  cursor  is  on,  then  this
+       should  be  given as <STRONG>dl1</STRONG>; this is done only from the first
+       position on the line to be deleted.  Versions of  <STRONG>il1</STRONG>  and
+       <STRONG>dl1</STRONG>  which  take  a  single parameter and insert or delete
        that many lines can be given as <STRONG>il</STRONG> and <STRONG>dl</STRONG>.
 
-       If  the terminal has a settable scrolling region (like the
-       vt100) the command to set this can be described  with  the
-       <STRONG>csr</STRONG>  capability,  which  takes two parameters: the top and
+       If the terminal has a settable scrolling region (like  the
+       vt100)  the  command to set this can be described with the
+       <STRONG>csr</STRONG> capability, which takes two parameters:  the  top  and
        bottom lines of the scrolling region.  The cursor position
        is, alas, undefined after using this command.
 
-       It  is possible to get the effect of insert or delete line
+       It is possible to get the effect of insert or delete  line
        using <STRONG>csr</STRONG> on a properly chosen region; the <STRONG>sc</STRONG> and <STRONG>rc</STRONG> (save
-       and  restore  cursor)  commands may be useful for ensuring
-       that your synthesized insert/delete string does  not  move
-       the  cursor.  (Note that the <STRONG><A HREF="ncurses.3x.html">ncurses(3x)</A></STRONG> library does this
-       synthesis  automatically,  so   you   need   not   compose
+       and restore cursor) commands may be  useful  for  ensuring
+       that  your  synthesized insert/delete string does not move
+       the cursor.  (Note that the <STRONG><A HREF="ncurses.3x.html">ncurses(3x)</A></STRONG> library does  this
+       synthesis   automatically,   so   you   need  not  compose
        insert/delete strings for an entry with <STRONG>csr</STRONG>).
 
        Yet another way to construct insert and delete might be to
-       use a combination of index with  the  memory-lock  feature
-       found  on some terminals (like the HP-700/90 series, which
+       use  a  combination  of index with the memory-lock feature
+       found on some terminals (like the HP-700/90 series,  which
        however also has insert/delete).
 
-       Inserting lines at the top or bottom  of  the  screen  can
-       also  be  done using <STRONG>ri</STRONG> or <STRONG>ind</STRONG> on many terminals without a
-       true insert/delete line, and is often faster even on  ter-
+       Inserting  lines  at  the  top or bottom of the screen can
+       also be done using <STRONG>ri</STRONG> or <STRONG>ind</STRONG> on many terminals  without  a
+       true  insert/delete line, and is often faster even on ter-
        minals with those features.
 
-       The  boolean  <STRONG>non_dest_scroll_region</STRONG> should be set if each
-       scrolling window is effectively a view port on  a  screen-
-       sized  canvas.   To  test  for  this  capability, create a
-       scrolling region in the middle of the screen, write  some-
-       thing  to  the  bottom line, move the cursor to the top of
+       The boolean <STRONG>non_dest_scroll_region</STRONG> should be set  if  each
+       scrolling  window  is effectively a view port on a screen-
+       sized canvas.  To  test  for  this  capability,  create  a
+       scrolling  region in the middle of the screen, write some-
+       thing to the bottom line, move the cursor to  the  top  of
        the region, and do <STRONG>ri</STRONG> followed by <STRONG>dl1</STRONG> or <STRONG>ind</STRONG>.  If the data
-       scrolled  off  the  bottom  of  the  region  by the <STRONG>ri</STRONG> re-
-       appears, then scrolling is non-destructive.  System V  and
-       XSI  Curses  expect that <STRONG>ind</STRONG>, <STRONG>ri</STRONG>, <STRONG>indn</STRONG>, and <STRONG>rin</STRONG> will simu-
-       late destructive scrolling; their  documentation  cautions
-       you  not  to  define <STRONG>csr</STRONG> unless this is true.  This <STRONG>curses</STRONG>
+       scrolled off the bottom  of  the  region  by  the  <STRONG>ri</STRONG>  re-
+       appears,  then scrolling is non-destructive.  System V and
+       XSI Curses expect that <STRONG>ind</STRONG>, <STRONG>ri</STRONG>, <STRONG>indn</STRONG>, and <STRONG>rin</STRONG>  will  simu-
+       late  destructive  scrolling; their documentation cautions
+       you not to define <STRONG>csr</STRONG> unless this is  true.   This  <STRONG>curses</STRONG>
        implementation is more liberal and will do explicit erases
        after scrolling if <STRONG>ndsrc</STRONG> is defined.
 
        If the terminal has the ability to define a window as part
-       of memory, which all commands affect, it should  be  given
+       of  memory,  which all commands affect, it should be given
        as the parameterized string <STRONG>wind</STRONG>.  The four parameters are
-       the starting and ending lines in memory and  the  starting
+       the  starting  and ending lines in memory and the starting
        and ending columns in memory, in that order.
 
-       If  the terminal can retain display memory above, then the
-       <STRONG>da</STRONG> capability should be given; if display  memory  can  be
-       retained  below,  then <STRONG>db</STRONG> should be given.  These indicate
-       that deleting a line  or  scrolling  may  bring  non-blank
-       lines  up  from  below  or that scrolling back with <STRONG>ri</STRONG> may
+       If the terminal can retain display memory above, then  the
+       <STRONG>da</STRONG>  capability  should  be given; if display memory can be
+       retained below, then <STRONG>db</STRONG> should be given.   These  indicate
+       that  deleting  a  line  or  scrolling may bring non-blank
+       lines up from below or that scrolling  back  with  <STRONG>ri</STRONG>  may
        bring down non-blank lines.
 
 
 </PRE><H3><a name="h3-Insert_Delete-Character">Insert/Delete Character</a></H3><PRE>
-       There are two basic kinds of  intelligent  terminals  with
-       respect  to insert/delete character which can be described
-       using <EM>terminfo.</EM>  The most common  insert/delete  character
-       operations  affect only the characters on the current line
-       and shift characters off the  end  of  the  line  rigidly.
-       Other  terminals,  such  as the Concept 100 and the Perkin
-       Elmer Owl, make a distinction between  typed  and  untyped
-       blanks  on  the  screen, shifting upon an insert or delete
-       only to an untyped blank on the  screen  which  is  either
+       There  are  two  basic kinds of intelligent terminals with
+       respect to insert/delete character which can be  described
+       using  <EM>terminfo.</EM>   The most common insert/delete character
+       operations affect only the characters on the current  line
+       and  shift  characters  off  the  end of the line rigidly.
+       Other terminals, such as the Concept 100  and  the  Perkin
+       Elmer  Owl,  make  a distinction between typed and untyped
+       blanks on the screen, shifting upon an  insert  or  delete
+       only  to  an  untyped  blank on the screen which is either
        eliminated, or expanded to two untyped blanks.
 
-       You  can determine the kind of terminal you have by clear-
-       ing the screen and then typing text  separated  by  cursor
-       motions.   Type  "abc    def"  using  local cursor motions
-       (not spaces) between the "abc" and the "def".  Then  posi-
-       tion  the  cursor before the "abc" and put the terminal in
-       insert mode.  If typing characters causes the rest of  the
-       line  to shift rigidly and characters to fall off the end,
+       You can determine the kind of terminal you have by  clear-
+       ing  the  screen  and then typing text separated by cursor
+       motions.  Type "abc    def"  using  local  cursor  motions
+       (not  spaces) between the "abc" and the "def".  Then posi-
+       tion the cursor before the "abc" and put the  terminal  in
+       insert  mode.  If typing characters causes the rest of the
+       line to shift rigidly and characters to fall off the  end,
        then your terminal does not distinguish between blanks and
-       untyped  positions.  If the "abc" shifts over to the "def"
-       which then move together around the  end  of  the  current
-       line  and onto the next as you insert, you have the second
+       untyped positions.  If the "abc" shifts over to the  "def"
+       which  then  move  together  around the end of the current
+       line and onto the next as you insert, you have the  second
        type of terminal, and should give the capability <STRONG>in</STRONG>, which
        stands for "insert null".
 
-       While  these  are  two  logically separate attributes (one
-       line versus multi-line insert mode, and special  treatment
-       of  untyped spaces) we have seen no terminals whose insert
+       While these are two  logically  separate  attributes  (one
+       line  versus multi-line insert mode, and special treatment
+       of untyped spaces) we have seen no terminals whose  insert
        mode cannot be described with the single attribute.
 
-       Terminfo can describe both terminals which have an  insert
+       Terminfo  can describe both terminals which have an insert
        mode, and terminals which send a simple sequence to open a
-       blank position on the current  line.   Give  as  <STRONG>smir</STRONG>  the
-       sequence  to  get  into  insert  mode.   Give  as <STRONG>rmir</STRONG> the
-       sequence to leave insert  mode.   Now  give  as  <STRONG>ich1</STRONG>  any
+       blank  position  on  the  current  line.  Give as <STRONG>smir</STRONG> the
+       sequence to get  into  insert  mode.   Give  as  <STRONG>rmir</STRONG>  the
+       sequence  to  leave  insert  mode.   Now  give as <STRONG>ich1</STRONG> any
        sequence needed to be sent just before sending the charac-
-       ter to be inserted.  Most terminals  with  a  true  insert
-       mode  will  not give <STRONG>ich1</STRONG>; terminals which send a sequence
+       ter  to  be  inserted.   Most terminals with a true insert
+       mode will not give <STRONG>ich1</STRONG>; terminals which send  a  sequence
        to open a screen position should give it here.
 
-       If your terminal has both, insert mode is usually  prefer-
-       able  to  <STRONG>ich1</STRONG>.   Technically,  you  should  not give both
-       unless the terminal actually requires both to be  used  in
-       combination.   Accordingly,  some  non-curses applications
-       get confused if both are present; the symptom  is  doubled
+       If  your terminal has both, insert mode is usually prefer-
+       able to <STRONG>ich1</STRONG>.   Technically,  you  should  not  give  both
+       unless  the  terminal actually requires both to be used in
+       combination.  Accordingly,  some  non-curses  applications
+       get  confused  if both are present; the symptom is doubled
        characters in an update using insert.  This requirement is
        now rare; most <STRONG>ich</STRONG> sequences do not require previous smir,
        and most smir insert modes do not require <STRONG>ich1</STRONG> before each
-       character.  Therefore, the  new  <STRONG>curses</STRONG>  actually  assumes
-       this  is the case and uses either <STRONG>rmir</STRONG>/<STRONG>smir</STRONG> or <STRONG>ich</STRONG>/<STRONG>ich1</STRONG> as
+       character.   Therefore,  the  new  <STRONG>curses</STRONG> actually assumes
+       this is the case and uses either <STRONG>rmir</STRONG>/<STRONG>smir</STRONG> or <STRONG>ich</STRONG>/<STRONG>ich1</STRONG>  as
        appropriate (but not both).  If you have to write an entry
-       to  be  used under new curses for a terminal old enough to
+       to be used under new curses for a terminal old  enough  to
        need both, include the <STRONG>rmir</STRONG>/<STRONG>smir</STRONG> sequences in <STRONG>ich1</STRONG>.
 
        If post insert padding is needed, give this as a number of
-       milliseconds  in <STRONG>ip</STRONG> (a string option).  Any other sequence
-       which may need to be sent after  an  insert  of  a  single
+       milliseconds in <STRONG>ip</STRONG> (a string option).  Any other  sequence
+       which  may  need  to  be  sent after an insert of a single
        character may also be given in <STRONG>ip</STRONG>.  If your terminal needs
        both to be placed into an "insert mode" and a special code
-       to  precede  each  inserted character, then both <STRONG>smir</STRONG>/<STRONG>rmir</STRONG>
-       and <STRONG>ich1</STRONG> can be given, and both will  be  used.   The  <STRONG>ich</STRONG>
+       to precede each inserted character,  then  both  <STRONG>smir</STRONG>/<STRONG>rmir</STRONG>
+       and  <STRONG>ich1</STRONG>  can  be  given, and both will be used.  The <STRONG>ich</STRONG>
        capability, with one parameter, <EM>n</EM>, will repeat the effects
        of <STRONG>ich1</STRONG> <EM>n</EM> times.
 
@@ -1645,62 +1736,62 @@
        in insert mode, give this as a number of milliseconds pad-
        ding in <STRONG>rmp</STRONG>.
 
-       It is occasionally  necessary  to  move  around  while  in
-       insert  mode  to delete characters on the same line (e.g.,
-       if there is a tab after the insertion position).  If  your
-       terminal  allows  motion while in insert mode you can give
-       the capability <STRONG>mir</STRONG> to speed up  inserting  in  this  case.
-       Omitting  <STRONG>mir</STRONG>  will  affect  only  speed.   Some terminals
+       It  is  occasionally  necessary  to  move  around while in
+       insert mode to delete characters on the same  line  (e.g.,
+       if  there is a tab after the insertion position).  If your
+       terminal allows motion while in insert mode you  can  give
+       the  capability  <STRONG>mir</STRONG>  to  speed up inserting in this case.
+       Omitting <STRONG>mir</STRONG>  will  affect  only  speed.   Some  terminals
        (notably Datamedia's) must not have <STRONG>mir</STRONG> because of the way
        their insert mode works.
 
-       Finally,  you  can specify <STRONG>dch1</STRONG> to delete a single charac-
-       ter, <STRONG>dch</STRONG> with one parameter, <EM>n</EM>, to  delete  <EM>n</EM>  <EM>characters,</EM>
-       and  delete mode by giving <STRONG>smdc</STRONG> and <STRONG>rmdc</STRONG> to enter and exit
-       delete mode (any mode the terminal needs to be  placed  in
+       Finally, you can specify <STRONG>dch1</STRONG> to delete a  single  charac-
+       ter,  <STRONG>dch</STRONG>  with  one parameter, <EM>n</EM>, to delete <EM>n</EM> <EM>characters,</EM>
+       and delete mode by giving <STRONG>smdc</STRONG> and <STRONG>rmdc</STRONG> to enter and  exit
+       delete  mode  (any mode the terminal needs to be placed in
        for <STRONG>dch1</STRONG> to work).
 
-       A  command to erase <EM>n</EM> characters (equivalent to outputting
-       <EM>n</EM> blanks without moving the cursor) can be  given  as  <STRONG>ech</STRONG>
+       A command to erase <EM>n</EM> characters (equivalent to  outputting
+       <EM>n</EM>  blanks  without  moving the cursor) can be given as <STRONG>ech</STRONG>
        with one parameter.
 
 
 </PRE><H3><a name="h3-Highlighting_-Underlining_-and-Visible-Bells">Highlighting, Underlining, and Visible Bells</a></H3><PRE>
        If  your  terminal  has  one  or  more  kinds  of  display
-       attributes, these can be represented in a number  of  dif-
+       attributes,  these  can be represented in a number of dif-
        ferent ways.  You should choose one display form as <EM>stand-</EM>
        <EM>out</EM> <EM>mode</EM>, representing a good, high contrast, easy-on-the-
-       eyes,  format  for  highlighting  error messages and other
-       attention getters.  (If you have a choice,  reverse  video
-       plus  half-bright  is  good, or reverse video alone.)  The
-       sequences to enter and exit standout  mode  are  given  as
-       <STRONG>smso</STRONG>  and  <STRONG>rmso</STRONG>, respectively.  If the code to change into
-       or out of standout mode leaves one or even two blank  spa-
-       ces  on  the  screen,  as the TVI 912 and Teleray 1061 do,
+       eyes, format for highlighting  error  messages  and  other
+       attention  getters.   (If you have a choice, reverse video
+       plus half-bright is good, or reverse  video  alone.)   The
+       sequences  to  enter  and  exit standout mode are given as
+       <STRONG>smso</STRONG> and <STRONG>rmso</STRONG>, respectively.  If the code to  change  into
+       or  out of standout mode leaves one or even two blank spa-
+       ces on the screen, as the TVI 912  and  Teleray  1061  do,
        then <STRONG>xmc</STRONG> should be given to tell how many spaces are left.
 
-       Codes to begin underlining  and  end  underlining  can  be
-       given  as <STRONG>smul</STRONG> and <STRONG>rmul</STRONG> respectively.  If the terminal has
-       a code to underline the current  character  and  move  the
+       Codes  to  begin  underlining  and  end underlining can be
+       given as <STRONG>smul</STRONG> and <STRONG>rmul</STRONG> respectively.  If the terminal  has
+       a  code  to  underline  the current character and move the
        cursor one space to the right, such as the Microterm Mime,
        this can be given as <STRONG>uc</STRONG>.
 
-       Other capabilities to  enter  various  highlighting  modes
-       include  <STRONG>blink</STRONG>  (blinking) <STRONG>bold</STRONG> (bold or extra bright) <STRONG>dim</STRONG>
-       (dim or half-bright) <STRONG>invis</STRONG> (blanking  or  invisible  text)
-       <STRONG>prot</STRONG>  (protected)  <STRONG>rev</STRONG>  (reverse video) <STRONG>sgr0</STRONG> (turn off <EM>all</EM>
-       attribute modes)  <STRONG>smacs</STRONG>  (enter  alternate  character  set
-       mode)  and  <STRONG>rmacs</STRONG>  (exit  alternate  character  set mode).
-       Turning on any of these modes singly may or may  not  turn
+       Other  capabilities  to  enter  various highlighting modes
+       include <STRONG>blink</STRONG> (blinking) <STRONG>bold</STRONG> (bold or extra  bright)  <STRONG>dim</STRONG>
+       (dim  or  half-bright)  <STRONG>invis</STRONG> (blanking or invisible text)
+       <STRONG>prot</STRONG> (protected) <STRONG>rev</STRONG> (reverse video) <STRONG>sgr0</STRONG>  (turn  off  <EM>all</EM>
+       attribute  modes)  <STRONG>smacs</STRONG>  (enter  alternate  character set
+       mode) and  <STRONG>rmacs</STRONG>  (exit  alternate  character  set  mode).
+       Turning  on  any of these modes singly may or may not turn
        off other modes.
 
-       If  there  is  a sequence to set arbitrary combinations of
-       modes, this should be given as <STRONG>sgr</STRONG> (set attributes),  tak-
-       ing  9 parameters.  Each parameter is either 0 or nonzero,
+       If there is a sequence to set  arbitrary  combinations  of
+       modes,  this should be given as <STRONG>sgr</STRONG> (set attributes), tak-
+       ing 9 parameters.  Each parameter is either 0 or  nonzero,
        as the corresponding attribute is on or off.  The 9 param-
-       eters  are, in order: standout, underline, reverse, blink,
-       dim, bold, blank, protect, alternate character  set.   Not
-       all  modes  need be supported by <STRONG>sgr</STRONG>, only those for which
+       eters are, in order: standout, underline, reverse,  blink,
+       dim,  bold,  blank, protect, alternate character set.  Not
+       all modes need be supported by <STRONG>sgr</STRONG>, only those  for  which
        corresponding separate attribute commands exist.
 
        For example, the DEC vt220 supports most of the modes:
@@ -1718,22 +1809,22 @@
         p8                   protect          not used
         p9                   altcharset       ^O (off) ^N (on)
 
-       We begin each escape sequence by turning off any  existing
-       modes,  since  there  is no quick way to determine whether
+       We  begin each escape sequence by turning off any existing
+       modes, since there is no quick way  to  determine  whether
        they are active.  Standout is set up to be the combination
-       of  reverse  and  bold.   The vt220 terminal has a protect
-       mode, though it is not commonly used  in  sgr  because  it
-       protects  characters  on  the  screen from the host's era-
-       sures.  The altcharset mode also is different in  that  it
-       is  either ^O or ^N, depending on whether it is off or on.
-       If all modes are turned  on,  the  resulting  sequence  is
+       of reverse and bold.  The vt220  terminal  has  a  protect
+       mode,  though  it  is  not commonly used in sgr because it
+       protects characters on the screen  from  the  host's  era-
+       sures.   The  altcharset mode also is different in that it
+       is either ^O or ^N, depending on whether it is off or  on.
+       If  all  modes  are  turned  on, the resulting sequence is
        \E[0;1;4;5;7;8m^N.
 
-       Some  sequences  are common to different modes.  For exam-
-       ple, ;7 is output when either p1 or p3 is true,  that  is,
+       Some sequences are common to different modes.   For  exam-
+       ple,  ;7  is output when either p1 or p3 is true, that is,
        if either standout or reverse modes are turned on.
 
-       Writing  out  the above sequences, along with their depen-
+       Writing out the above sequences, along with  their  depen-
        dencies yields
 
       <STRONG>sequence</STRONG>             <STRONG>when</STRONG> <STRONG>to</STRONG> <STRONG>output</STRONG>      <STRONG>terminfo</STRONG> <STRONG>translation</STRONG>
@@ -1752,62 +1843,62 @@
            sgr=\E[0%?%p1%p6%|%t;1%;%?%p2%t;4%;%?%p4%t;5%;
                %?%p1%p3%|%t;7%;%?%p7%t;8%;m%?%p9%t\016%e\017%;,
 
-       Remember that if you specify sgr, you  must  also  specify
-       sgr0.   Also, some implementations rely on sgr being given
-       if sgr0 is, Not all terminfo entries necessarily  have  an
-       sgr  string,  however.   Many terminfo entries are derived
-       from termcap entries which have no sgr string.   The  only
-       drawback  to  adding  an  sgr  string is that termcap also
-       assumes that sgr0 does not exit  alternate  character  set
+       Remember  that  if  you specify sgr, you must also specify
+       sgr0.  Also, some implementations rely on sgr being  given
+       if  sgr0  is, Not all terminfo entries necessarily have an
+       sgr string, however.  Many terminfo  entries  are  derived
+       from  termcap  entries which have no sgr string.  The only
+       drawback to adding an sgr  string  is  that  termcap  also
+       assumes  that  sgr0  does not exit alternate character set
        mode.
 
-       Terminals  with  the  "magic  cookie" glitch (<STRONG>xmc</STRONG>) deposit
+       Terminals with the "magic  cookie"  glitch  (<STRONG>xmc</STRONG>)  deposit
        special   "cookies"   when   they   receive   mode-setting
-       sequences,  which affect the display algorithm rather than
-       having extra bits for  each  character.   Some  terminals,
-       such  as  the  HP  2621, automatically leave standout mode
-       when they move to a new line or the cursor  is  addressed.
-       Programs  using  standout  mode  should exit standout mode
-       before moving the cursor or sending a newline, unless  the
-       <STRONG>msgr</STRONG>  capability,  asserting  that  it  is safe to move in
+       sequences, which affect the display algorithm rather  than
+       having  extra  bits  for  each character.  Some terminals,
+       such as the HP 2621,  automatically  leave  standout  mode
+       when  they  move to a new line or the cursor is addressed.
+       Programs using standout mode  should  exit  standout  mode
+       before  moving the cursor or sending a newline, unless the
+       <STRONG>msgr</STRONG> capability, asserting that it  is  safe  to  move  in
        standout mode, is present.
 
-       If the terminal has a way of flashing the screen to  indi-
-       cate  an  error quietly (a bell replacement) then this can
+       If  the terminal has a way of flashing the screen to indi-
+       cate an error quietly (a bell replacement) then  this  can
        be given as <STRONG>flash</STRONG>; it must not move the cursor.
 
-       If the cursor needs to be made more  visible  than  normal
+       If  the  cursor  needs to be made more visible than normal
        when it is not on the bottom line (to make, for example, a
-       non-blinking underline into an easier  to  find  block  or
+       non-blinking  underline  into  an  easier to find block or
        blinking underline) give this sequence as <STRONG>cvvis</STRONG>.  If there
-       is a way to make the  cursor  completely  invisible,  give
+       is  a  way  to  make the cursor completely invisible, give
        that as <STRONG>civis</STRONG>.  The capability <STRONG>cnorm</STRONG> should be given which
        undoes the effects of both of these modes.
 
        If your terminal correctly generates underlined characters
-       (with  no  special  codes  needed) even though it does not
-       overstrike, then you should give the capability <STRONG>ul</STRONG>.  If  a
-       character  overstriking  another leaves both characters on
+       (with no special codes needed) even  though  it  does  not
+       overstrike,  then you should give the capability <STRONG>ul</STRONG>.  If a
+       character overstriking another leaves both  characters  on
        the screen, specify the capability <STRONG>os</STRONG>.  If overstrikes are
-       erasable  with  a  blank, then this should be indicated by
+       erasable with a blank, then this should  be  indicated  by
        giving <STRONG>eo</STRONG>.
 
 
 </PRE><H3><a name="h3-Keypad-and-Function-Keys">Keypad and Function Keys</a></H3><PRE>
        If the terminal has a keypad that transmits codes when the
-       keys  are  pressed,  this  information can be given.  Note
+       keys are pressed, this information  can  be  given.   Note
        that it is not possible to handle terminals where the key-
        pad only works in local (this applies, for example, to the
-       unshifted HP 2621 keys).  If the  keypad  can  be  set  to
-       transmit  or  not  transmit,  give these codes as <STRONG>smkx</STRONG> and
+       unshifted  HP  2621  keys).   If  the keypad can be set to
+       transmit or not transmit, give these  codes  as  <STRONG>smkx</STRONG>  and
        <STRONG>rmkx</STRONG>.  Otherwise the keypad is assumed to always transmit.
 
-       The codes sent by the left arrow, right arrow,  up  arrow,
-       down  arrow,  and  home keys can be given as <STRONG>kcub1,</STRONG> <STRONG>kcuf1,</STRONG>
-       <STRONG>kcuu1,</STRONG> <STRONG>kcud1,</STRONG> and <STRONG>khome</STRONG> respectively.  If there are  func-
-       tion  keys  such  as f0, f1, ..., f10, the codes they send
-       can be given as <STRONG>kf0,</STRONG> <STRONG>kf1,</STRONG> <STRONG>...,</STRONG> <STRONG>kf10</STRONG>.  If these  keys  have
-       labels  other  than the default f0 through f10, the labels
+       The  codes  sent by the left arrow, right arrow, up arrow,
+       down arrow, and home keys can be given  as  <STRONG>kcub1,</STRONG>  <STRONG>kcuf1,</STRONG>
+       <STRONG>kcuu1,</STRONG>  <STRONG>kcud1,</STRONG> and <STRONG>khome</STRONG> respectively.  If there are func-
+       tion keys such as f0, f1, ..., f10, the  codes  they  send
+       can  be  given as <STRONG>kf0,</STRONG> <STRONG>kf1,</STRONG> <STRONG>...,</STRONG> <STRONG>kf10</STRONG>.  If these keys have
+       labels other than the default f0 through f10,  the  labels
        can be given as <STRONG>lf0,</STRONG> <STRONG>lf1,</STRONG> <STRONG>...,</STRONG> <STRONG>lf10</STRONG>.
 
        The codes transmitted by certain other special keys can be
@@ -1847,60 +1938,60 @@
 
        <STRONG>o</STRONG>   <STRONG>khts</STRONG> (set a tab stop in this column).
 
-       In  addition,  if  the  keypad  has a 3 by 3 array of keys
-       including the four arrow keys, the other five keys can  be
+       In addition, if the keypad has a 3  by  3  array  of  keys
+       including  the four arrow keys, the other five keys can be
        given as <STRONG>ka1</STRONG>, <STRONG>ka3</STRONG>, <STRONG>kb2</STRONG>, <STRONG>kc1</STRONG>, and <STRONG>kc3</STRONG>.  These keys are use-
-       ful when the effects of a  3  by  3  directional  pad  are
+       ful  when  the  effects  of  a  3 by 3 directional pad are
        needed.
 
-       Strings  to  program  function keys can be given as <STRONG>pfkey</STRONG>,
-       <STRONG>pfloc</STRONG>, and <STRONG>pfx</STRONG>.  A string to program screen labels  should
-       be  specified  as  <STRONG>pln</STRONG>.   Each  of these strings takes two
-       parameters: the function key number to program (from 0  to
-       10)  and the string to program it with.  Function key num-
-       bers out of this range may program  undefined  keys  in  a
-       terminal  dependent  manner.   The  difference between the
-       capabilities is that <STRONG>pfkey</STRONG> causes pressing the  given  key
-       to  be the same as the user typing the given string; <STRONG>pfloc</STRONG>
+       Strings to program function keys can be  given  as  <STRONG>pfkey</STRONG>,
+       <STRONG>pfloc</STRONG>,  and <STRONG>pfx</STRONG>.  A string to program screen labels should
+       be specified as <STRONG>pln</STRONG>.  Each  of  these  strings  takes  two
+       parameters:  the function key number to program (from 0 to
+       10) and the string to program it with.  Function key  num-
+       bers  out  of  this  range may program undefined keys in a
+       terminal dependent manner.   The  difference  between  the
+       capabilities  is  that <STRONG>pfkey</STRONG> causes pressing the given key
+       to be the same as the user typing the given string;  <STRONG>pfloc</STRONG>
        causes the string to be executed by the terminal in local;
-       and  <STRONG>pfx</STRONG>  causes  the string to be transmitted to the com-
+       and <STRONG>pfx</STRONG> causes the string to be transmitted  to  the  com-
        puter.
 
        The capabilities <STRONG>nlab</STRONG>, <STRONG>lw</STRONG> and <STRONG>lh</STRONG> define the number of pro-
-       grammable  screen  labels  and their width and height.  If
-       there are commands to turn the labels  on  and  off,  give
-       them  in <STRONG>smln</STRONG> and <STRONG>rmln</STRONG>.  <STRONG>smln</STRONG> is normally output after one
+       grammable screen labels and their width  and  height.   If
+       there  are  commands  to  turn the labels on and off, give
+       them in <STRONG>smln</STRONG> and <STRONG>rmln</STRONG>.  <STRONG>smln</STRONG> is normally output after  one
        or more pln sequences to make sure that the change becomes
        visible.
 
 
 </PRE><H3><a name="h3-Tabs-and-Initialization">Tabs and Initialization</a></H3><PRE>
-       If  the terminal has hardware tabs, the command to advance
-       to the next tab stop can be given as <STRONG>ht</STRONG>  (usually  control
+       If the terminal has hardware tabs, the command to  advance
+       to  the  next tab stop can be given as <STRONG>ht</STRONG> (usually control
        I).  A "back-tab" command which moves leftward to the pre-
-       ceding tab stop can be given as <STRONG>cbt</STRONG>.   By  convention,  if
-       the  teletype  modes indicate that tabs are being expanded
-       by the computer rather than being sent  to  the  terminal,
-       programs  should  not  use  <STRONG>ht</STRONG>  or  <STRONG>cbt</STRONG>  even  if they are
-       present, since the user may not have the tab  stops  prop-
-       erly  set.   If  the  terminal has hardware tabs which are
-       initially set every <EM>n</EM> spaces when the terminal is  powered
-       up,  the numeric parameter <STRONG>it</STRONG> is given, showing the number
-       of spaces the tabs are set to.  This is normally  used  by
-       the  <STRONG>tset</STRONG> command to determine whether to set the mode for
-       hardware tab expansion, and whether to set the tab  stops.
-       If  the  terminal  has tab stops that can be saved in non-
-       volatile memory, the terminfo description can assume  that
+       ceding  tab  stop  can be given as <STRONG>cbt</STRONG>.  By convention, if
+       the teletype modes indicate that tabs are  being  expanded
+       by  the  computer  rather than being sent to the terminal,
+       programs should not  use  <STRONG>ht</STRONG>  or  <STRONG>cbt</STRONG>  even  if  they  are
+       present,  since  the user may not have the tab stops prop-
+       erly set.  If the terminal has  hardware  tabs  which  are
+       initially  set every <EM>n</EM> spaces when the terminal is powered
+       up, the numeric parameter <STRONG>it</STRONG> is given, showing the  number
+       of  spaces  the tabs are set to.  This is normally used by
+       the <STRONG>tset</STRONG> command to determine whether to set the mode  for
+       hardware  tab expansion, and whether to set the tab stops.
+       If the terminal has tab stops that can be  saved  in  non-
+       volatile  memory, the terminfo description can assume that
        they are properly set.
 
-       Other  capabilities include <STRONG>is1</STRONG>, <STRONG>is2</STRONG>, and <STRONG>is3</STRONG>, initializa-
-       tion strings for the terminal, <STRONG>iprog</STRONG>, the path name  of  a
-       program  to be run to initialize the terminal, and <STRONG>if</STRONG>, the
-       name of a file  containing  long  initialization  strings.
-       These  strings are expected to set the terminal into modes
-       consistent with the  rest  of  the  terminfo  description.
+       Other capabilities include <STRONG>is1</STRONG>, <STRONG>is2</STRONG>, and <STRONG>is3</STRONG>,  initializa-
+       tion  strings  for the terminal, <STRONG>iprog</STRONG>, the path name of a
+       program to be run to initialize the terminal, and <STRONG>if</STRONG>,  the
+       name  of  a  file  containing long initialization strings.
+       These strings are expected to set the terminal into  modes
+       consistent  with  the  rest  of  the terminfo description.
        They are normally sent to the terminal, by the <EM>init</EM> option
-       of the <STRONG>tput</STRONG> program, each time the  user  logs  in.   They
+       of  the  <STRONG>tput</STRONG>  program,  each time the user logs in.  They
        will be printed in the following order:
 
               run the program
@@ -1920,107 +2011,107 @@
               and finally
                      output <STRONG>is3</STRONG>.
 
-       Most  initialization  is  done with <STRONG>is2</STRONG>.  Special terminal
+       Most initialization is done with  <STRONG>is2</STRONG>.   Special  terminal
        modes can be set up without duplicating strings by putting
-       the  common  sequences in <STRONG>is2</STRONG> and special cases in <STRONG>is1</STRONG> and
+       the common sequences in <STRONG>is2</STRONG> and special cases in  <STRONG>is1</STRONG>  and
        <STRONG>is3</STRONG>.
 
        A set of sequences that does a harder reset from a totally
        unknown state can be given as <STRONG>rs1</STRONG>, <STRONG>rs2</STRONG>, <STRONG>rf</STRONG> and <STRONG>rs3</STRONG>, analo-
-       gous to <STRONG>is1</STRONG> <STRONG>,</STRONG>  <STRONG>is2</STRONG>  <STRONG>,</STRONG>  <STRONG>if</STRONG>  and  <STRONG>is3</STRONG>  respectively.   These
-       strings  are  output  by  the <STRONG>reset</STRONG> program, which is used
-       when the terminal gets into a wedged state.  Commands  are
-       normally  placed  in <STRONG>rs1</STRONG>, <STRONG>rs2</STRONG> <STRONG>rs3</STRONG> and <STRONG>rf</STRONG> only if they pro-
-       duce annoying effects on the screen and are not  necessary
-       when  logging  in.   For  example,  the command to set the
-       vt100 into 80-column mode would normally be part  of  <STRONG>is2</STRONG>,
-       but  it causes an annoying glitch of the screen and is not
-       normally needed since the terminal is usually  already  in
+       gous  to  <STRONG>is1</STRONG>  <STRONG>,</STRONG>  <STRONG>is2</STRONG>  <STRONG>,</STRONG>  <STRONG>if</STRONG>  and <STRONG>is3</STRONG> respectively.  These
+       strings are output by the <STRONG>reset</STRONG>  program,  which  is  used
+       when  the terminal gets into a wedged state.  Commands are
+       normally placed in <STRONG>rs1</STRONG>, <STRONG>rs2</STRONG> <STRONG>rs3</STRONG> and <STRONG>rf</STRONG> only if  they  pro-
+       duce  annoying effects on the screen and are not necessary
+       when logging in.  For example,  the  command  to  set  the
+       vt100  into  80-column mode would normally be part of <STRONG>is2</STRONG>,
+       but it causes an annoying glitch of the screen and is  not
+       normally  needed  since the terminal is usually already in
        80 column mode.
 
        The <STRONG>reset</STRONG> program writes strings including <STRONG>iprog</STRONG>, etc., in
-       the same order as  the  <EM>init</EM>  program,  using  <STRONG>rs1</STRONG>,  etc.,
+       the  same  order  as  the  <EM>init</EM>  program, using <STRONG>rs1</STRONG>, etc.,
        instead of <STRONG>is1</STRONG>, etc.  If any of <STRONG>rs1</STRONG>, <STRONG>rs2</STRONG>, <STRONG>rs3</STRONG>, or <STRONG>rf</STRONG> reset
-       capability strings are missing, the  <STRONG>reset</STRONG>  program  falls
+       capability  strings  are  missing, the <STRONG>reset</STRONG> program falls
        back  upon  the  corresponding  initialization  capability
        string.
 
        If there are commands to set and clear tab stops, they can
-       be  given  as <STRONG>tbc</STRONG> (clear all tab stops) and <STRONG>hts</STRONG> (set a tab
-       stop in the current column of every row).  If a more  com-
-       plex  sequence  is  needed  to  set  the  tabs than can be
-       described by this, the sequence can be placed  in  <STRONG>is2</STRONG>  or
+       be given as <STRONG>tbc</STRONG> (clear all tab stops) and <STRONG>hts</STRONG> (set  a  tab
+       stop  in the current column of every row).  If a more com-
+       plex sequence is needed  to  set  the  tabs  than  can  be
+       described  by  this,  the sequence can be placed in <STRONG>is2</STRONG> or
        <STRONG>if</STRONG>.
 
 
 </PRE><H3><a name="h3-Delays-and-Padding">Delays and Padding</a></H3><PRE>
-       Many  older  and  slower  terminals  do not support either
+       Many older and slower  terminals  do  not  support  either
        XON/XOFF or DTR handshaking, including hard copy terminals
-       and  some  very  archaic CRTs (including, for example, DEC
-       VT100s).  These may require padding characters after  cer-
+       and some very archaic CRTs (including,  for  example,  DEC
+       VT100s).   These may require padding characters after cer-
        tain cursor motions and screen changes.
 
        If the terminal uses xon/xoff handshaking for flow control
-       (that is, it automatically emits ^S back to the host  when
+       (that  is, it automatically emits ^S back to the host when
        its input buffers are close to full), set <STRONG>xon</STRONG>.  This capa-
-       bility suppresses the emission of padding.  You  can  also
-       set  it for memory-mapped console devices effectively that
-       do not have a speed  limit.   Padding  information  should
-       still  be  included so that routines can make better deci-
+       bility  suppresses  the emission of padding.  You can also
+       set it for memory-mapped console devices effectively  that
+       do  not  have  a  speed limit.  Padding information should
+       still be included so that routines can make  better  deci-
        sions about relative costs, but actual pad characters will
        not be transmitted.
 
-       If  <STRONG>pb</STRONG> (padding baud rate) is given, padding is suppressed
-       at baud rates below the value of <STRONG>pb</STRONG>.  If the entry has  no
-       padding  baud rate, then whether padding is emitted or not
+       If <STRONG>pb</STRONG> (padding baud rate) is given, padding is  suppressed
+       at  baud rates below the value of <STRONG>pb</STRONG>.  If the entry has no
+       padding baud rate, then whether padding is emitted or  not
        is completely controlled by <STRONG>xon</STRONG>.
 
-       If the terminal requires other than a null (zero)  charac-
-       ter  as  a  pad,  then this can be given as <STRONG>pad</STRONG>.  Only the
+       If  the terminal requires other than a null (zero) charac-
+       ter as a pad, then this can be given  as  <STRONG>pad</STRONG>.   Only  the
        first character of the <STRONG>pad</STRONG> string is used.
 
 
 </PRE><H3><a name="h3-Status-Lines">Status Lines</a></H3><PRE>
-       Some terminals have an extra "status line"  which  is  not
-       normally  used  by  software  (and thus not counted in the
+       Some  terminals  have  an extra "status line" which is not
+       normally used by software (and thus  not  counted  in  the
        terminal's <STRONG>lines</STRONG> capability).
 
-       The simplest case  is  a  status  line  which  is  cursor-
-       addressable  but  not part of the main scrolling region on
-       the screen; the Heathkit H19 has a  status  line  of  this
-       kind,  as  would  a 24-line VT100 with a 23-line scrolling
-       region set up on initialization.  This situation is  indi-
+       The  simplest  case  is  a  status  line  which is cursor-
+       addressable but not part of the main scrolling  region  on
+       the  screen;  the  Heathkit  H19 has a status line of this
+       kind, as would a 24-line VT100 with  a  23-line  scrolling
+       region  set up on initialization.  This situation is indi-
        cated by the <STRONG>hs</STRONG> capability.
 
        Some terminals with status lines need special sequences to
-       access the status line.   These  may  be  expressed  as  a
+       access  the  status  line.   These  may  be expressed as a
        string with single parameter <STRONG>tsl</STRONG> which takes the cursor to
-       a given zero-origin column on the status line.  The  capa-
+       a  given zero-origin column on the status line.  The capa-
        bility <STRONG>fsl</STRONG> must return to the main-screen cursor positions
-       before the last <STRONG>tsl</STRONG>.  You may need  to  embed  the  string
-       values  of <STRONG>sc</STRONG> (save cursor) and <STRONG>rc</STRONG> (restore cursor) in <STRONG>tsl</STRONG>
+       before  the  last  <STRONG>tsl</STRONG>.   You may need to embed the string
+       values of <STRONG>sc</STRONG> (save cursor) and <STRONG>rc</STRONG> (restore cursor) in  <STRONG>tsl</STRONG>
        and <STRONG>fsl</STRONG> to accomplish this.
 
-       The status line is normally assumed to be the  same  width
-       as  the width of the terminal.  If this is untrue, you can
+       The  status  line is normally assumed to be the same width
+       as the width of the terminal.  If this is untrue, you  can
        specify it with the numeric capability <STRONG>wsl</STRONG>.
 
-       A command to erase or blank the status line may be  speci-
+       A  command to erase or blank the status line may be speci-
        fied as <STRONG>dsl</STRONG>.
 
-       The   boolean   capability  <STRONG>eslok</STRONG>  specifies  that  escape
+       The  boolean  capability  <STRONG>eslok</STRONG>  specifies   that   escape
        sequences, tabs, etc., work ordinarily in the status line.
 
-       The <STRONG>ncurses</STRONG> implementation does not yet use any  of  these
-       capabilities.   They are documented here in case they ever
+       The  <STRONG>ncurses</STRONG>  implementation does not yet use any of these
+       capabilities.  They are documented here in case they  ever
        become important.
 
 
 </PRE><H3><a name="h3-Line-Graphics">Line Graphics</a></H3><PRE>
-       Many terminals have alternate character  sets  useful  for
-       forms-drawing.   Terminfo  and <STRONG>curses</STRONG> build in support for
-       the drawing characters supported by the VT100,  with  some
-       characters  from  the  AT&amp;T  4410v1 added.  This alternate
+       Many  terminals  have  alternate character sets useful for
+       forms-drawing.  Terminfo and <STRONG>curses</STRONG> build in  support  for
+       the  drawing  characters supported by the VT100, with some
+       characters from the AT&amp;T  4410v1  added.   This  alternate
        character set may be specified by the <STRONG>acsc</STRONG> capability.
 
        <STRONG>Glyph</STRONG>                       <STRONG>ACS</STRONG>           <STRONG>Ascii</STRONG>     <STRONG>VT100</STRONG>
@@ -2037,6 +2128,7 @@
        diamond                     ACS_DIAMOND   +         `
        greater-than-or-equal-to    ACS_GEQUAL    &gt;         z
        greek pi                    ACS_PI        *         {
+
        horizontal line             ACS_HLINE     -         q
        lantern symbol              ACS_LANTERN   #         i
        large plus or crossover     ACS_PLUS      +         n
@@ -2058,74 +2150,74 @@
        upper right corner          ACS_URCORNER  +         k
        vertical line               ACS_VLINE     |         x
 
-       The best way to define a new device's graphics set  is  to
-       add  a  column  to a copy of this table for your terminal,
-       giving  the  character   which   (when   emitted   between
-       <STRONG>smacs</STRONG>/<STRONG>rmacs</STRONG>  switches) will be rendered as the correspond-
-       ing graphic.  Then read off the VT100/your terminal  char-
-       acter  pairs  right  to left in sequence; these become the
+       The  best  way to define a new device's graphics set is to
+       add a column to a copy of this table  for  your  terminal,
+       giving   the   character   which   (when  emitted  between
+       <STRONG>smacs</STRONG>/<STRONG>rmacs</STRONG> switches) will be rendered as the  correspond-
+       ing  graphic.  Then read off the VT100/your terminal char-
+       acter pairs right to left in sequence;  these  become  the
        ACSC string.
 
 
 </PRE><H3><a name="h3-Color-Handling">Color Handling</a></H3><PRE>
-       The curses  library  functions  <STRONG>init_pair</STRONG>  and  <STRONG>init_color</STRONG>
-       manipulate  the  <EM>color</EM> <EM>pairs</EM> and <EM>color</EM> <EM>values</EM> discussed in
-       this section (see <STRONG><A HREF="curs_color.3x.html">curs_color(3x)</A></STRONG> for details on these  and
+       The  curses  library  functions  <STRONG>init_pair</STRONG>  and <STRONG>init_color</STRONG>
+       manipulate the <EM>color</EM> <EM>pairs</EM> and <EM>color</EM> <EM>values</EM>  discussed  in
+       this  section (see <STRONG><A HREF="curs_color.3x.html">curs_color(3x)</A></STRONG> for details on these and
        related functions).
 
-       Most  color  terminals are either "Tektronix-like" or "HP-
+       Most color terminals are either "Tektronix-like"  or  "HP-
        like":
 
-       <STRONG>o</STRONG>   Tektronix-like terminals have a predefined  set  of  <EM>N</EM>
-           colors  (where <EM>N</EM> is usually 8), and can set character-
-           cell foreground  and  background  characters  indepen-
+       <STRONG>o</STRONG>   Tektronix-like  terminals  have  a predefined set of <EM>N</EM>
+           colors (where <EM>N</EM> is usually 8), and can set  character-
+           cell  foreground  and  background  characters indepen-
            dently, mixing them into <EM>N</EM> * <EM>N</EM> color-pairs.
 
-       <STRONG>o</STRONG>   On  HP-like  terminals,  the  user must set each color
-           pair up separately (foreground and background are  not
-           independently  settable).   Up to <EM>M</EM> color-pairs may be
-           set up from  2*<EM>M</EM>  different  colors.   ANSI-compatible
+       <STRONG>o</STRONG>   On HP-like terminals, the user  must  set  each  color
+           pair  up separately (foreground and background are not
+           independently settable).  Up to <EM>M</EM> color-pairs  may  be
+           set  up  from  2*<EM>M</EM>  different colors.  ANSI-compatible
            terminals are Tektronix-like.
 
        Some basic color capabilities are independent of the color
        method.  The numeric capabilities <STRONG>colors</STRONG> and <STRONG>pairs</STRONG> specify
-       the  maximum numbers of colors and color-pairs that can be
-       displayed simultaneously.  The <STRONG>op</STRONG> (original  pair)  string
-       resets  foreground  and background colors to their default
-       values for the terminal.  The <STRONG>oc</STRONG> string resets all  colors
-       or  color-pairs  to their default values for the terminal.
-       Some terminals  (including  many  PC  terminal  emulators)
-       erase  screen  areas  with  the  current  background color
-       rather than the power-up default background; these  should
+       the maximum numbers of colors and color-pairs that can  be
+       displayed  simultaneously.   The <STRONG>op</STRONG> (original pair) string
+       resets foreground and background colors to  their  default
+       values  for the terminal.  The <STRONG>oc</STRONG> string resets all colors
+       or color-pairs to their default values for  the  terminal.
+       Some  terminals  (including  many  PC  terminal emulators)
+       erase screen  areas  with  the  current  background  color
+       rather  than the power-up default background; these should
        have the boolean capability <STRONG>bce</STRONG>.
 
-       While  the curses library works with <EM>color</EM> <EM>pairs</EM> (reflect-
-       ing the inability of some devices to  set  foreground  and
+       While the curses library works with <EM>color</EM> <EM>pairs</EM>  (reflect-
+       ing  the  inability  of some devices to set foreground and
        background colors independently), there are separate capa-
        bilities for setting these features:
 
-       <STRONG>o</STRONG>   To change the current foreground or  background  color
-           on  a  Tektronix-type  terminal,  use  <STRONG>setaf</STRONG> (set ANSI
-           foreground) and <STRONG>setab</STRONG> (set ANSI  background)  or  <STRONG>setf</STRONG>
-           (set  foreground)  and  <STRONG>setb</STRONG>  (set background).  These
-           take one parameter, the color number.  The SVr4  docu-
-           mentation  describes  only <STRONG>setaf</STRONG>/<STRONG>setab</STRONG>; the XPG4 draft
+       <STRONG>o</STRONG>   To  change  the current foreground or background color
+           on a Tektronix-type  terminal,  use  <STRONG>setaf</STRONG>  (set  ANSI
+           foreground)  and  <STRONG>setab</STRONG>  (set ANSI background) or <STRONG>setf</STRONG>
+           (set foreground) and  <STRONG>setb</STRONG>  (set  background).   These
+           take  one parameter, the color number.  The SVr4 docu-
+           mentation describes only <STRONG>setaf</STRONG>/<STRONG>setab</STRONG>; the  XPG4  draft
            says  that  "If  the  terminal  supports  ANSI  escape
            sequences  to  set  background  and  foreground,  they
            should be coded as <STRONG>setaf</STRONG> and <STRONG>setab</STRONG>, respectively.
 
        <STRONG>o</STRONG>   If the terminal supports other escape sequences to set
-           background  and  foreground,  they  should be coded as
-           <STRONG>setf</STRONG> and <STRONG>setb</STRONG>,  respectively.   The  <STRONG>vidputs</STRONG>  and  the
+           background and foreground, they  should  be  coded  as
+           <STRONG>setf</STRONG>  and  <STRONG>setb</STRONG>,  respectively.   The  <STRONG>vidputs</STRONG> and the
            <STRONG><A HREF="curs_refresh.3x.html">refresh(3x)</A></STRONG> functions use the <STRONG>setaf</STRONG> and <STRONG>setab</STRONG> capabil-
            ities if they are defined.
 
-       The <STRONG>setaf</STRONG>/<STRONG>setab</STRONG> and <STRONG>setf</STRONG>/<STRONG>setb</STRONG> capabilities take  a  single
+       The  <STRONG>setaf</STRONG>/<STRONG>setab</STRONG>  and <STRONG>setf</STRONG>/<STRONG>setb</STRONG> capabilities take a single
        numeric argument each.  Argument values 0-7 of <STRONG>setaf</STRONG>/<STRONG>setab</STRONG>
-       are portably defined as follows (the middle column is  the
+       are  portably defined as follows (the middle column is the
        symbolic #define available in the header for the <STRONG>curses</STRONG> or
-       <STRONG>ncurses</STRONG> libraries).  The terminal hardware is free to  map
-       these  as  it  likes,  but  the RGB values indicate normal
+       <STRONG>ncurses</STRONG>  libraries).  The terminal hardware is free to map
+       these as it likes, but  the  RGB  values  indicate  normal
        locations in color space.
 
              <STRONG>Color</STRONG>       <STRONG>#define</STRONG>       <STRONG>Value</STRONG>       <STRONG>RGB</STRONG>
@@ -2136,10 +2228,9 @@
              blue      <STRONG>COLOR_BLUE</STRONG>        4     0,0,max
              magenta   <STRONG>COLOR_MAGENTA</STRONG>     5     max,0,max
              cyan      <STRONG>COLOR_CYAN</STRONG>        6     0,max,max
-
              white     <STRONG>COLOR_WHITE</STRONG>       7     max,max,max
 
-       The argument values of <STRONG>setf</STRONG>/<STRONG>setb</STRONG>  historically  correspond
+       The  argument  values of <STRONG>setf</STRONG>/<STRONG>setb</STRONG> historically correspond
        to a different mapping, i.e.,
 
              <STRONG>Color</STRONG>       <STRONG>#define</STRONG>       <STRONG>Value</STRONG>       <STRONG>RGB</STRONG>
@@ -2153,36 +2244,36 @@
              white     <STRONG>COLOR_WHITE</STRONG>       7     max,max,max
 
        It is important to not confuse the two sets of color capa-
-       bilities; otherwise red/blue will be interchanged  on  the
+       bilities;  otherwise  red/blue will be interchanged on the
        display.
 
-       On  an  HP-like terminal, use <STRONG>scp</STRONG> with a color-pair number
+       On an HP-like terminal, use <STRONG>scp</STRONG> with a  color-pair  number
        parameter to set which color pair is current.
 
        Some terminals allow the <EM>color</EM> <EM>values</EM> to be modified:
 
-       <STRONG>o</STRONG>   On a Tektronix-like terminal, the capability  <STRONG>ccc</STRONG>  may
-           be  present  to  indicate that colors can be modified.
-           If so, the <STRONG>initc</STRONG> capability will take a  color  number
-           (0  to  <STRONG>colors</STRONG>  -  1)and  three  more parameters which
+       <STRONG>o</STRONG>   On  a  Tektronix-like terminal, the capability <STRONG>ccc</STRONG> may
+           be present to indicate that colors  can  be  modified.
+           If  so,  the <STRONG>initc</STRONG> capability will take a color number
+           (0 to <STRONG>colors</STRONG>  -  1)and  three  more  parameters  which
            describe the color.  These three parameters default to
-           being  interpreted  as  RGB (Red, Green, Blue) values.
-           If the boolean capability <STRONG>hls</STRONG>  is  present,  they  are
-           instead  as  HLS (Hue, Lightness, Saturation) indices.
+           being interpreted as RGB (Red,  Green,  Blue)  values.
+           If  the  boolean  capability  <STRONG>hls</STRONG> is present, they are
+           instead as HLS (Hue, Lightness,  Saturation)  indices.
            The ranges are terminal-dependent.
 
-       <STRONG>o</STRONG>   On an HP-like terminal, <STRONG>initp</STRONG> may  give  a  capability
-           for  changing  a color-pair value.  It will take seven
-           parameters; a color-pair number (0 to <STRONG>max_pairs</STRONG> -  1),
-           and  two  triples describing first background and then
-           foreground colors.  These  parameters  must  be  (Red,
+       <STRONG>o</STRONG>   On  an  HP-like  terminal, <STRONG>initp</STRONG> may give a capability
+           for changing a color-pair value.  It will  take  seven
+           parameters;  a color-pair number (0 to <STRONG>max_pairs</STRONG> - 1),
+           and two triples describing first background  and  then
+           foreground  colors.   These  parameters  must be (Red,
            Green, Blue) or (Hue, Lightness, Saturation) depending
            on <STRONG>hls</STRONG>.
 
-       On some color terminals, colors collide  with  highlights.
+       On  some  color terminals, colors collide with highlights.
        You can register these collisions with the <STRONG>ncv</STRONG> capability.
-       This is a bit-mask of attributes not to be used when  col-
-       ors  are  enabled.  The correspondence with the attributes
+       This  is a bit-mask of attributes not to be used when col-
+       ors are enabled.  The correspondence with  the  attributes
        understood by <STRONG>curses</STRONG> is as follows:
 
           <STRONG>Attribute</STRONG>              <STRONG>Bit</STRONG>   <STRONG>Decimal</STRONG>      <STRONG>Set</STRONG> <STRONG>by</STRONG>
@@ -2203,147 +2294,122 @@
           A_VERTICAL             14    16384        sgr1
           A_ITALIC               15    32768        sitm
 
-       For example,  on  many  IBM  PC  consoles,  the  underline
-       attribute  collides  with the foreground color blue and is
-       not available in color mode.  These  should  have  an  <STRONG>ncv</STRONG>
+       For  example,  on  many  IBM  PC  consoles,  the underline
+       attribute collides with the foreground color blue  and  is
+       not  available  in  color  mode.  These should have an <STRONG>ncv</STRONG>
        capability of 2.
 
-       SVr4  curses  does nothing with <STRONG>ncv</STRONG>, ncurses recognizes it
+       SVr4 curses does nothing with <STRONG>ncv</STRONG>, ncurses  recognizes  it
        and optimizes the output in favor of colors.
 
 
 </PRE><H3><a name="h3-Miscellaneous">Miscellaneous</a></H3><PRE>
-       If the terminal requires other than a null (zero)  charac-
-       ter  as  a  pad,  then this can be given as pad.  Only the
-       first character of the pad string is used.  If the  termi-
+       If  the terminal requires other than a null (zero) charac-
+       ter as a pad, then this can be given  as  pad.   Only  the
+       first  character of the pad string is used.  If the termi-
        nal does not have a pad character, specify npc.  Note that
-       ncurses implements  the  termcap-compatible  <STRONG>PC</STRONG>  variable;
-       though  the  application  may  set this value to something
-       other than a null, ncurses will test  <STRONG>npc</STRONG>  first  and  use
+       ncurses  implements  the  termcap-compatible  <STRONG>PC</STRONG> variable;
+       though the application may set  this  value  to  something
+       other  than  a  null,  ncurses will test <STRONG>npc</STRONG> first and use
        napms if the terminal has no pad character.
 
-       If  the terminal can move up or down half a line, this can
-       be indicated with <STRONG>hu</STRONG>  (half-line  up)  and  <STRONG>hd</STRONG>  (half-line
+       If the terminal can move up or down half a line, this  can
+       be  indicated  with  <STRONG>hu</STRONG>  (half-line  up) and <STRONG>hd</STRONG> (half-line
        down).  This is primarily useful for superscripts and sub-
-       scripts on hard-copy terminals.  If a  hard-copy  terminal
-       can  eject  to  the next page (form feed), give this as <STRONG>ff</STRONG>
+       scripts  on  hard-copy terminals.  If a hard-copy terminal
+       can eject to the next page (form feed), give  this  as  <STRONG>ff</STRONG>
        (usually control L).
 
-       If there is a command to repeat a given character a  given
-       number  of times (to save time transmitting a large number
-       of identical characters) this can be  indicated  with  the
-       parameterized  string  <STRONG>rep</STRONG>.   The  first  parameter is the
-       character to be repeated and the second is the  number  of
-       times  to repeat it.  Thus, tparm(repeat_char, 'x', 10) is
+       If  there is a command to repeat a given character a given
+       number of times (to save time transmitting a large  number
+       of  identical  characters)  this can be indicated with the
+       parameterized string <STRONG>rep</STRONG>.   The  first  parameter  is  the
+       character  to  be repeated and the second is the number of
+       times to repeat it.  Thus, tparm(repeat_char, 'x', 10)  is
        the same as "xxxxxxxxxx".
 
-       If the terminal has a settable command character, such  as
-       the  TEKTRONIX  4025, this can be indicated with <STRONG>cmdch</STRONG>.  A
+       If  the terminal has a settable command character, such as
+       the TEKTRONIX 4025, this can be indicated with  <STRONG>cmdch</STRONG>.   A
        prototype command character is chosen which is used in all
-       capabilities.   This character is given in the <STRONG>cmdch</STRONG> capa-
-       bility to identify it.  The following convention  is  sup-
-       ported  on  some  UNIX  systems:  The environment is to be
-       searched for a <STRONG>CC</STRONG> variable, and if found, all  occurrences
+       capabilities.  This character is given in the <STRONG>cmdch</STRONG>  capa-
+       bility  to  identify it.  The following convention is sup-
+       ported on some UNIX systems:  The  environment  is  to  be
+       searched  for a <STRONG>CC</STRONG> variable, and if found, all occurrences
        of the prototype character are replaced with the character
        in the environment variable.
 
-       Terminal descriptions that do  not  represent  a  specific
+       Terminal  descriptions  that  do  not represent a specific
        kind of known terminal, such as <EM>switch</EM>, <EM>dialup</EM>, <EM>patch</EM>, and
-       <EM>network</EM>, should include the  <STRONG>gn</STRONG>  (generic)  capability  so
-       that  programs  can  complain that they do not know how to
-       talk to the terminal.  (This capability does not apply  to
-       <EM>virtual</EM>   terminal   descriptions  for  which  the  escape
+       <EM>network</EM>,  should  include  the  <STRONG>gn</STRONG> (generic) capability so
+       that programs can complain that they do not  know  how  to
+       talk  to the terminal.  (This capability does not apply to
+       <EM>virtual</EM>  terminal  descriptions  for  which   the   escape
        sequences are known.)
 
-       If the terminal has a "meta key" which  acts  as  a  shift
-       key,  setting  the  8th  bit of any character transmitted,
-       this fact can be indicated with <STRONG>km</STRONG>.   Otherwise,  software
+       If  the  terminal  has  a "meta key" which acts as a shift
+       key, setting the 8th bit  of  any  character  transmitted,
+       this  fact  can be indicated with <STRONG>km</STRONG>.  Otherwise, software
        will assume that the 8th bit is parity and it will usually
-       be cleared.  If strings exist to turn this "meta mode"  on
+       be  cleared.  If strings exist to turn this "meta mode" on
        and off, they can be given as <STRONG>smm</STRONG> and <STRONG>rmm</STRONG>.
 
-       If  the terminal has more lines of memory than will fit on
-       the screen at once, the number of lines of memory  can  be
-       indicated  with  <STRONG>lm</STRONG>.   A  value of <STRONG>lm</STRONG>#0 indicates that the
+       If the terminal has more lines of memory than will fit  on
+       the  screen  at once, the number of lines of memory can be
+       indicated with <STRONG>lm</STRONG>.  A value of  <STRONG>lm</STRONG>#0  indicates  that  the
        number of lines is not fixed, but that there is still more
        memory than fits on the screen.
 
        If the terminal is one of those supported by the UNIX vir-
-       tual terminal protocol, the terminal number can  be  given
+       tual  terminal  protocol, the terminal number can be given
        as <STRONG>vt</STRONG>.
 
        Media copy strings which control an auxiliary printer con-
        nected to the terminal can be given as <STRONG>mc0</STRONG>: print the con-
-       tents  of  the screen, <STRONG>mc4</STRONG>: turn off the printer, and <STRONG>mc5</STRONG>:
-       turn on the printer.  When the printer  is  on,  all  text
-       sent  to  the terminal will be sent to the printer.  It is
+       tents of the screen, <STRONG>mc4</STRONG>: turn off the printer,  and  <STRONG>mc5</STRONG>:
+       turn  on  the  printer.   When the printer is on, all text
+       sent to the terminal will be sent to the printer.   It  is
        undefined whether the text is also displayed on the termi-
        nal screen when the printer is on.  A variation <STRONG>mc5p</STRONG> takes
        one parameter, and leaves the printer on for as many char-
-       acters  as  the  value  of  the  parameter, then turns the
-       printer off.  The parameter should not  exceed  255.   All
+       acters as the value  of  the  parameter,  then  turns  the
+       printer  off.   The  parameter should not exceed 255.  All
        text,  including  <STRONG>mc4</STRONG>,  is  transparently  passed  to  the
        printer while an <STRONG>mc5p</STRONG> is in effect.
 
 
 </PRE><H3><a name="h3-Glitches-and-Braindamage">Glitches and Braindamage</a></H3><PRE>
-       Hazeltine terminals, which do not allow "~" characters  to
+       Hazeltine  terminals, which do not allow "~" characters to
        be displayed should indicate <STRONG>hz</STRONG>.
 
        Terminals which ignore a line-feed immediately after an <STRONG>am</STRONG>
        wrap, such as the Concept and vt100, should indicate <STRONG>xenl</STRONG>.
 
-       If <STRONG>el</STRONG> is required to  get  rid  of  standout  (instead  of
-       merely  writing  normal  text on top of it), <STRONG>xhp</STRONG> should be
+       If  <STRONG>el</STRONG>  is  required  to  get  rid of standout (instead of
+       merely writing normal text on top of it),  <STRONG>xhp</STRONG>  should  be
        given.
 
-       Teleray terminals, where tabs turn  all  characters  moved
-       over  to  blanks,  should  indicate <STRONG>xt</STRONG> (destructive tabs).
-       Note:   the    variable    indicating    this    is    now
-       "dest_tabs_magic_smso";  in  older  versions,  it was tel-
+       Teleray  terminals,  where  tabs turn all characters moved
+       over to blanks, should  indicate  <STRONG>xt</STRONG>  (destructive  tabs).
+       Note:    the    variable    indicating    this    is   now
+       "dest_tabs_magic_smso"; in older  versions,  it  was  tel-
        eray_glitch.  This glitch is also taken to mean that it is
-       not  possible  to  position  the cursor on top of a "magic
-       cookie", that to erase standout mode it is instead  neces-
+       not possible to position the cursor on  top  of  a  "magic
+       cookie",  that to erase standout mode it is instead neces-
        sary to use delete and insert line.  The ncurses implemen-
        tation ignores this glitch.
 
-       The Beehive Superbee, which is unable to correctly  trans-
-       mit  the escape or control C characters, has <STRONG>xsb</STRONG>, indicat-
-       ing that the f1 key is used for escape and f2 for  control
-       C.   (Only  certain Superbees have this problem, depending
-       on the ROM.)  Note that in older terminfo  versions,  this
-       capability   was   called   "beehive_glitch";  it  is  now
+       The  Beehive Superbee, which is unable to correctly trans-
+       mit the escape or control C characters, has <STRONG>xsb</STRONG>,  indicat-
+       ing  that the f1 key is used for escape and f2 for control
+       C.  (Only certain Superbees have this  problem,  depending
+       on  the  ROM.)  Note that in older terminfo versions, this
+       capability  was  called  "beehive_glitch";   it   is   now
        "no_esc_ctl_c".
 
-       Other specific  terminal  problems  may  be  corrected  by
+       Other  specific  terminal  problems  may  be  corrected by
        adding more capabilities of the form <STRONG>x</STRONG><EM>x</EM>.
 
 
-</PRE><H3><a name="h3-Similar-Terminals">Similar Terminals</a></H3><PRE>
-       If there are two very similar terminals, one (the variant)
-       can be defined as being just like  the  other  (the  base)
-       with  certain  exceptions.  In the definition of the vari-
-       ant, the string capability <STRONG>use</STRONG> can be given with the  name
-       of  the  base terminal.  The capabilities given before <STRONG>use</STRONG>
-       override those in the base type named by  <STRONG>use</STRONG>.   If  there
-       are  multiple <STRONG>use</STRONG> capabilities, they are merged in reverse
-       order.  That is, the rightmost <STRONG>use</STRONG> reference is  processed
-       first,  then the one to its left, and so forth.  Capabili-
-       ties given explicitly in the entry override those  brought
-       in by <STRONG>use</STRONG> references.
-
-       A capability can be canceled by placing <STRONG>xx@</STRONG> to the left of
-       the use reference that imports it, where <EM>xx</EM> is  the  capa-
-       bility.  For example, the entry
-
-              2621-nl, smkx@, rmkx@, use=2621,
-
-       defines  a  2621-nl  that  does  not have the <STRONG>smkx</STRONG> or <STRONG>rmkx</STRONG>
-       capabilities, and hence does not turn on the function  key
-       labels  when in visual mode.  This is useful for different
-       modes for a terminal, or for different user preferences.
-
-
 </PRE><H3><a name="h3-Pitfalls-of-Long-Entries">Pitfalls of Long Entries</a></H3><PRE>
        Long terminfo entries are unlikely to  be  a  problem;  to
        date,  no  entry  has even approached terminfo's 4096-byte
@@ -2468,9 +2534,9 @@
        AT&amp;T 505 terminal.
 
        Be careful assigning the <STRONG>kmous</STRONG>  capability.   The  <STRONG>ncurses</STRONG>
-       wants  to  interpret it as <STRONG>KEY_MOUSE</STRONG>, for use by terminals
-       and emulators like xterm that  can  return  mouse-tracking
-       information in the keyboard-input stream.
+       library  wants  to  interpret  it as <STRONG>KEY_MOUSE</STRONG>, for use by
+       terminals and emulators like xterm that can return  mouse-
+       tracking information in the keyboard-input stream.
 
        X/Open Curses does not mention italics.  Portable applica-
        tions must assume that  numeric  capabilities  are  signed
@@ -2485,28 +2551,29 @@
        cases) different extension sets.  Here is a summary, accu-
        rate as of October 1995:
 
-       <STRONG>SVR4,</STRONG> <STRONG>Solaris,</STRONG> <STRONG>ncurses</STRONG> -- These support all SVr4 capabili-
-       ties.
+       <STRONG>o</STRONG>   <STRONG>SVR4,</STRONG> <STRONG>Solaris,</STRONG> <STRONG>ncurses</STRONG> -- These support all SVr4 capa-
+           bilities.
 
-       <STRONG>SGI</STRONG>  --  Supports  the  SVr4  set,  adds  one undocumented
-       extended string capability (<STRONG>set_pglen</STRONG>).
+       <STRONG>o</STRONG>   <STRONG>SGI</STRONG>  --  Supports  the SVr4 set, adds one undocumented
+           extended string capability (<STRONG>set_pglen</STRONG>).
 
-       <STRONG>SVr1,</STRONG> <STRONG>Ultrix</STRONG> -- These support a restricted subset of  ter-
-       minfo  capabilities.   The booleans end with <STRONG>xon_xoff</STRONG>; the
-       numerics with  <STRONG>width_status_line</STRONG>;  and  the  strings  with
-       <STRONG>prtr_non</STRONG>.
-
-       <STRONG>HP/UX</STRONG>  --  Supports  the  SVr1  subset,  plus the SVr[234]
-       numerics <STRONG>num_labels</STRONG>, <STRONG>label_height</STRONG>, <STRONG>label_width</STRONG>, plus func-
-       tion  keys  11  through  63, plus <STRONG>plab_norm</STRONG>, <STRONG>label_on</STRONG>, and
-       <STRONG>label_off</STRONG>, plus some incompatible extensions in the string
-       table.
-
-       <STRONG>AIX</STRONG>  --  Supports  the  SVr1 subset, plus function keys 11
-       through 63, plus a number  of  incompatible  string  table
-       extensions.
+       <STRONG>o</STRONG>   <STRONG>SVr1,</STRONG> <STRONG>Ultrix</STRONG> -- These support a restricted  subset  of
+           terminfo   capabilities.    The   booleans   end  with
+           <STRONG>xon_xoff</STRONG>; the numerics with <STRONG>width_status_line</STRONG>; and the
+           strings with <STRONG>prtr_non</STRONG>.
+
+       <STRONG>o</STRONG>   <STRONG>HP/UX</STRONG>  --  Supports the SVr1 subset, plus the SVr[234]
+           numerics <STRONG>num_labels</STRONG>, <STRONG>label_height</STRONG>,  <STRONG>label_width</STRONG>,  plus
+           function keys 11 through 63, plus <STRONG>plab_norm</STRONG>, <STRONG>label_on</STRONG>,
+           and <STRONG>label_off</STRONG>, plus some  incompatible  extensions  in
+           the string table.
+
+       <STRONG>o</STRONG>   <STRONG>AIX</STRONG> -- Supports the SVr1 subset, plus function keys 11
+           through 63, plus a number of incompatible string table
+           extensions.
 
-       <STRONG>OSF</STRONG> -- Supports both the SVr4 set and the AIX extensions.
+       <STRONG>o</STRONG>   <STRONG>OSF</STRONG>  --  Supports both the SVr4 set and the AIX exten-
+           sions.
 
 
 </PRE><H2><a name="h2-FILES">FILES</a></H2><PRE>
@@ -2520,7 +2587,7 @@
 
 
 </PRE><H2><a name="h2-AUTHORS">AUTHORS</a></H2><PRE>
-       Zeyd  M.  Ben-Halim,  Eric  S.  Raymond, Thomas E. Dickey.
+       Zeyd M. Ben-Halim, Eric  S.  Raymond,  Thomas  E.  Dickey.
        Based on pcurses by Pavel Curtis.
 
 
@@ -2533,6 +2600,9 @@
 <li><a href="#h2-SYNOPSIS">SYNOPSIS</a></li>
 <li><a href="#h2-DESCRIPTION">DESCRIPTION</a>
 <ul>
+<li><a href="#h3-Terminfo-Entry-Syntax">Terminfo Entry Syntax</a></li>
+<li><a href="#h3-Terminfo-Capabilities-Syntax">Terminfo Capabilities Syntax</a></li>
+<li><a href="#h3-Similar-Terminals">Similar Terminals</a></li>
 <li><a href="#h3-Predefined-Capabilities">Predefined Capabilities</a></li>
 <li><a href="#h3-User-Defined-Capabilities">User-Defined Capabilities</a></li>
 <li><a href="#h3-A-Sample-Entry">A Sample Entry</a></li>
@@ -2554,7 +2624,6 @@
 <li><a href="#h3-Color-Handling">Color Handling</a></li>
 <li><a href="#h3-Miscellaneous">Miscellaneous</a></li>
 <li><a href="#h3-Glitches-and-Braindamage">Glitches and Braindamage</a></li>
-<li><a href="#h3-Similar-Terminals">Similar Terminals</a></li>
 <li><a href="#h3-Pitfalls-of-Long-Entries">Pitfalls of Long Entries</a></li>
 <li><a href="#h3-Binary-Compatibility">Binary Compatibility</a></li>
 </ul>
Index: doc/html/man/tic.1m.html
--- ncurses-6.0-20170225+/doc/html/man/tic.1m.html	2017-02-18 23:44:51.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/tic.1m.html	2017-03-05 00:56:34.000000000 +0000
@@ -403,7 +403,7 @@
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,    <STRONG><A HREF="toe.1m.html">toe(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="term.5.html">term(5)</A></STRONG>.  <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/toe.1m.html
--- ncurses-6.0-20170225+/doc/html/man/toe.1m.html	2017-02-18 23:44:51.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/toe.1m.html	2017-03-05 00:56:34.000000000 +0000
@@ -120,7 +120,7 @@
        <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>,    <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/tput.1.html
--- ncurses-6.0-20170225+/doc/html/man/tput.1.html	2017-02-18 23:44:51.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/tput.1.html	2017-03-05 00:56:34.000000000 +0000
@@ -530,7 +530,7 @@
        <STRONG><A HREF="clear.1.html">clear(1)</A></STRONG>,    <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="tabs.1.html">tabs(1)</A></STRONG>,   <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>,   <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>,
        <STRONG><A HREF="curs_termcap.3x.html">curs_termcap(3x)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: doc/html/man/tset.1.html
--- ncurses-6.0-20170225+/doc/html/man/tset.1.html	2017-02-18 23:44:51.000000000 +0000
+++ ncurses-6.0-20170304/doc/html/man/tset.1.html	2017-03-05 00:56:34.000000000 +0000
@@ -435,7 +435,7 @@
        <STRONG>csh(1)</STRONG>,   <STRONG>sh(1)</STRONG>,   <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>,   <STRONG>tty(4)</STRONG>,
        <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG>ttys(5)</STRONG>, <STRONG>environ(7)</STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170218).
+       This describes <STRONG>ncurses</STRONG> version 6.0 (patch 20170304).
 
 
 
Index: include/hashed_db.h
Prereq:  1.6 
--- ncurses-6.0-20170225+/include/hashed_db.h	2014-04-12 22:41:10.000000000 +0000
+++ ncurses-6.0-20170304/include/hashed_db.h	2017-02-26 22:59:23.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2006 Free Software Foundation, Inc.                        *
+ * Copyright (c) 2006-2014,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -31,7 +31,7 @@
  ****************************************************************************/
 
 /*
- * $Id: hashed_db.h,v 1.6 2014/04/12 22:41:10 tom Exp $
+ * $Id: hashed_db.h,v 1.7 2017/02/26 22:59:23 Andre.Sa Exp $
  */
 
 #ifndef HASHED_DB_H
@@ -45,7 +45,7 @@
 
 #include <db.h>
 
-#ifndef DBN_SUFFIX
+#ifndef DBM_SUFFIX
 #define DBM_SUFFIX ".db"
 #endif
 
Index: man/curs_get_wstr.3x
Prereq:  1.10 
--- ncurses-6.0-20170225+/man/curs_get_wstr.3x	2017-01-07 19:25:15.000000000 +0000
+++ ncurses-6.0-20170304/man/curs_get_wstr.3x	2017-03-04 21:24:04.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_get_wstr.3x,v 1.10 2017/01/07 19:25:15 tom Exp $
+.\" $Id: curs_get_wstr.3x,v 1.11 2017/03/04 21:24:04 tom Exp $
 .TH curs_get_wstr 3X ""
 .na
 .hy 0
@@ -167,8 +167,18 @@
 an ERR return without other data is treated as an end-of-file condition,
 and the returned array contains a \fBWEOF\fR followed by a null \fBwchar_t\fR.
 .PP
-X/Open curses documents these functions to pass an array of \fBwchar_t\fR,
-but all of the vendors implement this using \fBwint_t\fR.
+X/Open curses documented these functions to pass an array of \fBwchar_t\fR
+in 1997, but that was an error because of this part of the description:
+.RS
+.PP
+The effect of \fIget_wstr()\fP is as though a series of calls to
+\fIget_wch()\fP were made, until a newline character, end-of-line character, or
+end-of-file character is processed.
+.RE
+.PP
+The latter function \fIget_wch()\fP can return a negative value,
+while \fBwchar_t\fP is a unsigned type.
+All of the vendors implement this using \fBwint_t\fR, following the standard.
 .SH SEE ALSO
 Functions:
 \fBcurses\fR(3X),
Index: man/curs_initscr.3x
Prereq:  1.26 
--- ncurses-6.0-20170225+/man/curs_initscr.3x	2017-01-07 19:25:15.000000000 +0000
+++ ncurses-6.0-20170304/man/curs_initscr.3x	2017-03-04 20:59:02.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_initscr.3x,v 1.26 2017/01/07 19:25:15 tom Exp $
+.\" $Id: curs_initscr.3x,v 1.27 2017/03/04 20:59:02 tom Exp $
 .TH curs_initscr 3X ""
 .de bP
 .IP \(bu 4
@@ -108,14 +108,19 @@
 \fBcurses\fR mode temporarily.
 This routine
 .bP
-restores tty modes,
+resets colors to correspond with the default color pair 0,
 .bP
-moves the cursor to the lower left-hand corner of the screen and
+moves the cursor to the lower left-hand corner of the screen,
 .bP
-resets the terminal into
-the proper non-visual mode.
+clears the remainder of the line so that it uses the default colors,
+.bP
+sets the cursor to normal visibility (see \fBcurs_set\fP(3X)),
+.bP
+stops cursor-addressing mode using the \fIexit_ca_mode\fP terminal capability,
+.bP
+restores tty modes (see \fBreset_shell_mode\fP(3X)).
 .PP
-Calling \fBrefresh\fR(3X) or \fBdoupdate\fR after a
+Calling \fBrefresh\fR(3X) or \fBdoupdate\fR(3X) after a
 temporary escape causes the program to resume visual mode.
 .SS isendwin
 .PP
@@ -155,8 +160,6 @@
 .bP
 \fBset_term\fP
 returns no error.
-.SH NOTES
-Note that \fBinitscr\fR and \fBnewterm\fR may be macros.
 .SH PORTABILITY
 These functions were described in the XSI Curses standard, Issue 4.
 As of 2015, the current document is X/Open Curses, Issue 7.
Index: man/manhtml.aliases
Prereq:  1.6 
--- ncurses-6.0-20170225+/man/manhtml.aliases	2017-01-14 19:57:16.000000000 +0000
+++ ncurses-6.0-20170304/man/manhtml.aliases	2017-03-05 00:55:53.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: manhtml.aliases,v 1.6 2017/01/14 19:57:16 tom Exp $
+# $Id: manhtml.aliases,v 1.9 2017/03/05 00:55:53 tom Exp $
 #***************************************************************************
 # Copyright (c) 2013-2016,2017 Free Software Foundation, Inc.              *
 #                                                                          *
@@ -28,10 +28,11 @@
 #***************************************************************************
 # Items in this list will be linked to the corresponding manpages by man2html
 addch(3X)		curs_addch(3X)
+curs_set(3X)		curs_kernel(3X)
 delscreen(3X)		curs_initscr(3X)
+doupdate(3X)		curs_refresh(3X)
 endwin(3X)		curs_initscr(3X)
 filter(3X)		curs_util(3X)
-form_fieldtype(3X)	form_fieldtype(3X)
 get_wch(3X)		curs_get_wch(3X)
 getch(3X)		curs_getch(3X)
 inch(3X)		curs_inch(3X)
@@ -42,6 +43,7 @@
 meta(3X)		curs_inopts(3X)
 newterm(3X)		curs_initscr(3X)
 refresh(3X)		curs_refresh(3X)
+reset_shell_mode(3X)	curs_kernel(3X)
 set_fieldtype(3X)	form_fieldtype(3X)
 set_term(3X)		curs_initscr(3X)
 setupterm(3X)		curs_terminfo(3X)
Index: man/terminfo.head
Prereq:  1.23 
--- ncurses-6.0-20170225+/man/terminfo.head	2017-02-18 17:04:53.000000000 +0000
+++ ncurses-6.0-20170304/man/terminfo.head	2017-03-05 00:24:35.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: terminfo.head,v 1.23 2017/02/18 17:04:53 tom Exp $
+.\" $Id: terminfo.head,v 1.30 2017/03/05 00:24:35 tom Exp $
 .TH terminfo 5 "" "" "File Formats"
 .ds n 5
 .ds d @TERMINFO@
@@ -54,30 +54,54 @@
 specifying padding requirements and initialization sequences.
 This describes \fBncurses\fR
 version @NCURSES_MAJOR@.@NCURSES_MINOR@ (patch @NCURSES_PATCH@).
+.SS Terminfo Entry Syntax
 .PP
 Entries in
 .I terminfo
-consist of a sequence of \*(``,\*('' separated fields (embedded commas may be
-escaped with a backslash or notated as \\054).
-White space after the \*(``,\*('' separator is ignored.
-The first entry for each terminal gives the names which are known for the
+consist of a sequence of fields:
+.bP
+Each field ends with a comma \*(``,\*('' 
+(embedded commas may be
+escaped with a backslash or written as \*(``\\054\*('').
+.bP
+White space between fields is ignored.
+.bP
+The first field in a \fIterminfo\fP entry begins in the first column.
+.bP
+Newlines and leading whitespace (spaces or tabs)
+may be used for formatting entries for readability.
+These are removed from parsed entries.
+.IP
+The \fB@INFOCMP@\fP \fB\-f\fP and \fB\-W\fP options relies on this to
+format if-then-else expressions,
+or to enforce maximum line-width.
+The resulting formatted terminal description can be read by \fB@TIC@\fP.
+.bP
+The first field for each terminal gives the names which are known for the
 terminal, separated by \*(``|\*('' characters.
-The first name given is the most common abbreviation for the terminal,
-the last name given should be a long name fully identifying the terminal,
-and all others are understood as synonyms for the terminal name.
-All names but the last should be in lower case and contain no blanks;
+.IP
+The first name given is the most common abbreviation for the terminal
+(its primary name),
+the last name given should be a long name fully identifying the terminal
+(see \fBlongname\fP(3X)),
+and all others are treated as synonyms (aliases) for the primary terminal name.
+.IP
+X/Open Curses advises that all names but the last should be in lower case
+and contain no blanks;
 the last name may well contain upper case and blanks for readability.
-.PP
+.IP
+This implementation is not so strict;
+it allows mixed case in the primary name and aliases.
+If the last name has no embedded blanks,
+it allows that to be both an alias and a verbose name
+(but will warn about this ambiguity).
+.bP
 Lines beginning with a \*(``#\*('' in the first column are treated as comments.
+.IP
 While comment lines are legal at any point, the output of \fB@CAPTOINFO@\fP
 and \fB@INFOTOCAP@\fP (aliases for \fB@TIC@\fP)
 will move comments so they occur only between entries.
 .PP
-Newlines and leading tabs may be used for formatting entries for readability.
-These are removed from parsed entries.
-The \fB@INFOCMP@\ \-f\fP option relies on this to format if-then-else expressions:
-the result can be read by \fB@TIC@\fP.
-.PP
 Terminal names (except for the last, verbose entry) should
 be chosen using the following conventions.
 The particular piece of hardware making up the terminal should
@@ -109,6 +133,72 @@
 .TE
 .PP
 For more on terminal naming conventions, see the \fBterm(7)\fR manual page.
+.SS Terminfo Capabilities Syntax
+.PP
+The terminfo entry consists of several \fIcapabilities\fP,
+i.e., features that the terminal has,
+or methods for exercising the terminal's features.
+.PP
+After the first field (giving the name(s) of the terminal entry),
+there should be one or more \fIcapability\fP fields.
+These are boolean, numeric or string names with corresponding values:
+.bP
+Boolean capabilities are true when present, false when absent.
+There is no explicit value for boolean capabilities.
+.bP
+Numeric capabilities have a \*(``#\*('' following the name,
+then an unsigned decimal integer value.
+.bP
+String capabilities have a \*(``=\*('' following the name,
+then an string of characters making up the capability value.
+.IP
+String capabilities can be split into multiple lines,
+just as the fields comprising a terminal entry can be
+split into multiple lines.
+While blanks between fields are ignored,
+blanks embedded within a string value are retained,
+except for leading blanks on a line.
+.PP
+Any capability can be \fIcanceled\fP,
+i.e., suppressed from the terminal entry,
+by following its name with \*(``@\*(''
+rather than a capability value.
+.SS Similar Terminals
+.PP
+If there are two very similar terminals, one (the variant) can be defined as
+being just like the other (the base) with certain exceptions.
+In the
+definition of the variant, the string capability \fBuse\fR can be given with
+the name of the base terminal:
+.bP
+The capabilities given before
+.B use
+override those in the base type named by
+.BR use .
+.bP
+If there are multiple \fBuse\fR capabilities, they are merged in reverse order.
+That is, the rightmost \fBuse\fR reference is processed first, then the one to
+its left, and so forth.
+.bP
+Capabilities given explicitly in the entry override
+those brought in by \fBuse\fR references.
+.PP
+A capability can be canceled by placing \fBxx@\fR to the left of the
+use reference that imports it, where \fIxx\fP is the capability.
+For example, the entry
+.RS
+.PP
+2621\-nl, smkx@, rmkx@, use=2621,
+.RE
+.PP
+defines a 2621\-nl that does not have the \fBsmkx\fR or \fBrmkx\fR capabilities,
+and hence does not turn on the function key labels when in visual mode.
+This is useful for different modes for a terminal, or for different
+user preferences.
+.PP
+An entry included via \fBuse\fP can contain canceled capabilities,
+which have the same effect as if those cancels were inline in the
+using terminal entry.
 .SS Predefined Capabilities
 .\" Head of terminfo man page ends here
 .ps -1
Index: man/terminfo.tail
Prereq:  1.76 
--- ncurses-6.0-20170225+/man/terminfo.tail	2017-01-07 18:32:49.000000000 +0000
+++ ncurses-6.0-20170304/man/terminfo.tail	2017-03-04 23:52:35.000000000 +0000
@@ -1,4 +1,4 @@
-.\" $Id: terminfo.tail,v 1.76 2017/01/07 18:32:49 tom Exp $
+.\" $Id: terminfo.tail,v 1.78 2017/03/04 23:52:35 tom Exp $
 .\" Beginning of terminfo.tail file
 .\" This file is part of ncurses.
 .\" See "terminfo.head" for copyright.
@@ -1628,36 +1628,6 @@
 Other specific terminal problems may be corrected by adding more
 capabilities of the form \fBx\fR\fIx\fR.
 .PP
-.SS Similar Terminals
-.PP
-If there are two very similar terminals, one (the variant) can be defined as
-being just like the other (the base) with certain exceptions.
-In the
-definition of the variant, the string capability \fBuse\fR can be given with
-the name of the base terminal.
-The capabilities given before
-.B use
-override those in the base type named by
-.BR use .
-If there are multiple \fBuse\fR capabilities, they are merged in reverse order.
-That is, the rightmost \fBuse\fR reference is processed first, then the one to
-its left, and so forth.
-Capabilities given explicitly in the entry override
-those brought in by \fBuse\fR references.
-.PP
-A capability can be canceled by placing \fBxx@\fR to the left of the
-use reference that imports it, where \fIxx\fP is the capability.
-For example, the entry
-.RS
-.PP
-2621\-nl, smkx@, rmkx@, use=2621,
-.RE
-.PP
-defines a 2621\-nl that does not have the \fBsmkx\fR or \fBrmkx\fR capabilities,
-and hence does not turn on the function key labels when in visual mode.
-This is useful for different modes for a terminal, or for different
-user preferences.
-.PP
 .SS Pitfalls of Long Entries
 .PP
 Long terminfo entries are unlikely to be a problem; to date, no entry has even
@@ -1775,8 +1745,8 @@
 documentation for the AT&T 505 terminal.
 .PP
 Be careful assigning the \fBkmous\fR capability.
-The \fBncurses\fR wants to
-interpret it as \fBKEY_MOUSE\fR, for use by terminals and emulators like xterm
+The \fBncurses\fR library wants to interpret it as \fBKEY_MOUSE\fR,
+for use by terminals and emulators like xterm
 that can return mouse-tracking information in the keyboard-input stream.
 .PP
 X/Open Curses does not mention italics.
@@ -1792,30 +1762,30 @@
 the XSI Curses standard and (in some cases) different extension sets.
 Here
 is a summary, accurate as of October 1995:
-.PP
+.bP
 \fBSVR4, Solaris, ncurses\fR \-\-
 These support all SVr4 capabilities.
-.PP
+.bP
 \fBSGI\fR \-\-
 Supports the SVr4 set, adds one undocumented extended string
 capability (\fBset_pglen\fR).
-.PP
+.bP
 \fBSVr1, Ultrix\fR \-\-
 These support a restricted subset of terminfo capabilities.
 The booleans end with \fBxon_xoff\fR;
 the numerics with \fBwidth_status_line\fR;
 and the strings with \fBprtr_non\fR.
-.PP
+.bP
 \fBHP/UX\fR \-\-
 Supports the SVr1 subset, plus the SVr[234] numerics \fBnum_labels\fR,
 \fBlabel_height\fR, \fBlabel_width\fR, plus function keys 11 through 63, plus
 \fBplab_norm\fR, \fBlabel_on\fR, and \fBlabel_off\fR, plus some incompatible
 extensions in the string table.
-.PP
+.bP
 \fBAIX\fR \-\-
 Supports the SVr1 subset, plus function keys 11 through 63, plus a number
 of incompatible string table extensions.
-.PP
+.bP
 \fBOSF\fR \-\-
 Supports both the SVr4 set and the AIX extensions.
 .SH FILES
Index: ncurses/widechar/lib_cchar.c
Prereq:  1.28 
--- ncurses-6.0-20170225+/ncurses/widechar/lib_cchar.c	2016-05-28 23:36:34.000000000 +0000
+++ ncurses-6.0-20170304/ncurses/widechar/lib_cchar.c	2017-03-04 19:56:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2001-2014,2016 Free Software Foundation, Inc.              *
+ * Copyright (c) 2001-2016,2017 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -35,7 +35,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_cchar.c,v 1.28 2016/05/28 23:36:34 tom Exp $")
+MODULE_ID("$Id: lib_cchar.c,v 1.29 2017/03/04 19:56:00 tom Exp $")
 
 /* 
  * The SuSv2 description leaves some room for interpretation.  We'll assume wch
@@ -59,7 +59,8 @@
 
     if (opts != NULL
 	|| wch == NULL
-	|| ((len = (unsigned) wcslen(wch)) > 1 && wcwidth(wch[0]) < 0)) {
+	|| ((len = (unsigned) wcslen(wch)) > 1 && wcwidth(wch[0]) < 0)
+	|| color_pair < 0) {
 	code = ERR;
     } else {
 	unsigned i;
@@ -130,7 +131,8 @@
 	    *color_pair = (NCURSES_PAIRS_T) GetPair(*wcval);
 	    wmemcpy(wch, wcval->chars, (size_t) len);
 	    wch[len] = L'\0';
-	    code = OK;
+	    if (*color_pair >= 0)
+		code = OK;
 	}
     }
 
Index: package/debian-mingw/changelog
--- ncurses-6.0-20170225+/package/debian-mingw/changelog	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/package/debian-mingw/changelog	2017-02-26 16:41:23.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170225) unstable; urgency=low
+ncurses6 (6.0+20170304) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 25 Feb 2017 08:32:34 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 26 Feb 2017 11:41:23 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20170225+/package/debian-mingw64/changelog	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/package/debian-mingw64/changelog	2017-02-26 16:41:23.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170225) unstable; urgency=low
+ncurses6 (6.0+20170304) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 25 Feb 2017 08:32:34 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 26 Feb 2017 11:41:23 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20170225+/package/debian/changelog	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/package/debian/changelog	2017-02-26 16:41:23.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170225) unstable; urgency=low
+ncurses6 (6.0+20170304) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 25 Feb 2017 08:32:34 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 26 Feb 2017 11:41:23 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.200 
--- ncurses-6.0-20170225+/package/mingw-ncurses.nsi	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/package/mingw-ncurses.nsi	2017-02-26 16:41:23.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.200 2017/02/25 13:32:34 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.201 2017/02/26 16:41:23 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2017"
-!define VERSION_MMDD  "0225"
+!define VERSION_MMDD  "0304"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20170225+/package/mingw-ncurses.spec	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/package/mingw-ncurses.spec	2017-02-26 16:41:23.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20170225
+Release: 20170304
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20170225+/package/ncurses.spec	2017-02-25 13:32:34.000000000 +0000
+++ ncurses-6.0-20170304/package/ncurses.spec	2017-02-26 16:41:23.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20170225
+Release: 20170304
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: progs/dump_entry.c
Prereq:  1.148 
--- ncurses-6.0-20170225+/progs/dump_entry.c	2017-02-04 16:55:42.000000000 +0000
+++ ncurses-6.0-20170304/progs/dump_entry.c	2017-03-04 20:18:20.000000000 +0000
@@ -39,7 +39,7 @@
 #include "termsort.c"		/* this C file is generated */
 #include <parametrized.h>	/* so is this */
 
-MODULE_ID("$Id: dump_entry.c,v 1.148 2017/02/04 16:55:42 tom Exp $")
+MODULE_ID("$Id: dump_entry.c,v 1.149 2017/03/04 20:18:20 tom Exp $")
 
 #define DISCARD(string) string = ABSENT_STRING
 #define PRINTF (void) printf
@@ -571,7 +571,7 @@
 	(!TcOutput() || strncmp(src, "..", 2))) {
 	int step = 0;
 	int used = width > WRAPPED ? width : WRAPPED;
-	int size = used;
+	int size;
 	int base = 0;
 	char *p, align[9];
 	const char *my_t = trailer;
